////////////////////////////////////////////////////////////////////////////////
// Copyright (c) 1995-2013 Xilinx, Inc.  All rights reserved.
////////////////////////////////////////////////////////////////////////////////
//   ____  ____
//  /   /\/   /
// /___/  \  /    Vendor: Xilinx
// \   \   \/     Version: P.20131013
//  \   \         Application: netgen
//  /   /         Filename: fir_lpf_rds.v
// /___/   /\     Timestamp: Fri Apr 22 18:02:35 2016
// \   \  /  \ 
//  \___\/\___\
//             
// Command	: -w -sim -ofmt verilog /media/sda3/ZTEX_my/examples/usb-fpga-2.01/2.01b/test_blocks_2015.2/EasyFMv3_mp3/ipcore_dir/tmp/_cg/fir_lpf_rds.ngc /media/sda3/ZTEX_my/examples/usb-fpga-2.01/2.01b/test_blocks_2015.2/EasyFMv3_mp3/ipcore_dir/tmp/_cg/fir_lpf_rds.v 
// Device	: 6slx9tqg144-2
// Input file	: /media/sda3/ZTEX_my/examples/usb-fpga-2.01/2.01b/test_blocks_2015.2/EasyFMv3_mp3/ipcore_dir/tmp/_cg/fir_lpf_rds.ngc
// Output file	: /media/sda3/ZTEX_my/examples/usb-fpga-2.01/2.01b/test_blocks_2015.2/EasyFMv3_mp3/ipcore_dir/tmp/_cg/fir_lpf_rds.v
// # of Modules	: 1
// Design Name	: fir_lpf_rds
// Xilinx        : /media/sda3/opt/Xilinx/14.7/ISE_DS/ISE/
//             
// Purpose:    
//     This verilog netlist is a verification model and uses simulation 
//     primitives which may not represent the true implementation of the 
//     device, however the netlist is functionally correct and should not 
//     be modified. This file cannot be synthesized and should only be used 
//     with supported simulation tools.
//             
// Reference:  
//     Command Line Tools User Guide, Chapter 23 and Synthesis and Simulation Design Guide, Chapter 6
//             
////////////////////////////////////////////////////////////////////////////////

`timescale 1 ns/1 ps

module fir_lpf_rds (
  aresetn, aclk, s_axis_data_tvalid, m_axis_data_tready, s_axis_data_tready, m_axis_data_tvalid, s_axis_data_tdata, m_axis_data_tdata
)/* synthesis syn_black_box syn_noprune=1 */;
  input aresetn;
  input aclk;
  input s_axis_data_tvalid;
  input m_axis_data_tready;
  output s_axis_data_tready;
  output m_axis_data_tvalid;
  input [7 : 0] s_axis_data_tdata;
  output [7 : 0] m_axis_data_tdata;
  
  // synthesis translate_off
  
  wire NlwRenamedSig_OI_s_axis_data_tready;
  wire NlwRenamedSig_OI_m_axis_data_tvalid;
  wire \blk00000001/sig000000e2 ;
  wire \blk00000001/sig000000e1 ;
  wire \blk00000001/sig000000e0 ;
  wire \blk00000001/sig000000df ;
  wire \blk00000001/sig000000de ;
  wire \blk00000001/sig000000dd ;
  wire \blk00000001/sig000000dc ;
  wire \blk00000001/sig000000db ;
  wire \blk00000001/sig000000da ;
  wire \blk00000001/sig000000d9 ;
  wire \blk00000001/sig000000d8 ;
  wire \blk00000001/sig000000d7 ;
  wire \blk00000001/sig000000d6 ;
  wire \blk00000001/sig000000d5 ;
  wire \blk00000001/sig000000d4 ;
  wire \blk00000001/sig000000d3 ;
  wire \blk00000001/sig000000d2 ;
  wire \blk00000001/sig000000d1 ;
  wire \blk00000001/sig000000d0 ;
  wire \blk00000001/sig000000cf ;
  wire \blk00000001/sig000000ce ;
  wire \blk00000001/sig000000cd ;
  wire \blk00000001/sig000000cc ;
  wire \blk00000001/sig000000cb ;
  wire \blk00000001/sig000000ca ;
  wire \blk00000001/sig000000c9 ;
  wire \blk00000001/sig000000c8 ;
  wire \blk00000001/sig000000c7 ;
  wire \blk00000001/sig000000c6 ;
  wire \blk00000001/sig000000c5 ;
  wire \blk00000001/sig000000c4 ;
  wire \blk00000001/sig000000c3 ;
  wire \blk00000001/sig000000c2 ;
  wire \blk00000001/sig000000c1 ;
  wire \blk00000001/sig000000c0 ;
  wire \blk00000001/sig000000bf ;
  wire \blk00000001/sig000000be ;
  wire \blk00000001/sig000000bd ;
  wire \blk00000001/sig000000bc ;
  wire \blk00000001/sig000000bb ;
  wire \blk00000001/sig000000ba ;
  wire \blk00000001/sig000000b9 ;
  wire \blk00000001/sig000000b8 ;
  wire \blk00000001/sig000000b7 ;
  wire \blk00000001/sig000000b6 ;
  wire \blk00000001/sig000000b5 ;
  wire \blk00000001/sig000000b4 ;
  wire \blk00000001/sig000000b3 ;
  wire \blk00000001/sig000000b2 ;
  wire \blk00000001/sig000000b1 ;
  wire \blk00000001/sig000000b0 ;
  wire \blk00000001/sig000000af ;
  wire \blk00000001/sig000000ae ;
  wire \blk00000001/sig000000ad ;
  wire \blk00000001/sig000000ac ;
  wire \blk00000001/sig000000ab ;
  wire \blk00000001/sig000000aa ;
  wire \blk00000001/sig000000a9 ;
  wire \blk00000001/sig000000a8 ;
  wire \blk00000001/sig000000a7 ;
  wire \blk00000001/sig000000a6 ;
  wire \blk00000001/sig000000a5 ;
  wire \blk00000001/sig000000a4 ;
  wire \blk00000001/sig000000a3 ;
  wire \blk00000001/sig000000a2 ;
  wire \blk00000001/sig000000a1 ;
  wire \blk00000001/sig000000a0 ;
  wire \blk00000001/sig0000009f ;
  wire \blk00000001/sig0000009e ;
  wire \blk00000001/sig0000009d ;
  wire \blk00000001/sig0000009c ;
  wire \blk00000001/sig0000009b ;
  wire \blk00000001/sig00000092 ;
  wire \blk00000001/sig00000091 ;
  wire \blk00000001/sig00000090 ;
  wire \blk00000001/sig0000008f ;
  wire \blk00000001/sig0000008e ;
  wire \blk00000001/sig0000008d ;
  wire \blk00000001/sig0000008c ;
  wire \blk00000001/sig00000083 ;
  wire \blk00000001/sig00000082 ;
  wire \blk00000001/sig0000007d ;
  wire \blk00000001/sig0000007c ;
  wire \blk00000001/sig0000007b ;
  wire \blk00000001/sig0000007a ;
  wire \blk00000001/sig00000079 ;
  wire \blk00000001/sig00000078 ;
  wire \blk00000001/sig00000077 ;
  wire \blk00000001/sig00000076 ;
  wire \blk00000001/sig00000075 ;
  wire \blk00000001/sig00000074 ;
  wire \blk00000001/sig00000073 ;
  wire \blk00000001/sig00000072 ;
  wire \blk00000001/sig00000071 ;
  wire \blk00000001/sig00000070 ;
  wire \blk00000001/sig0000006f ;
  wire \blk00000001/sig0000006e ;
  wire \blk00000001/sig0000006d ;
  wire \blk00000001/sig0000006c ;
  wire \blk00000001/sig0000006b ;
  wire \blk00000001/sig0000006a ;
  wire \blk00000001/sig00000069 ;
  wire \blk00000001/sig00000068 ;
  wire \blk00000001/sig00000067 ;
  wire \blk00000001/sig00000066 ;
  wire \blk00000001/sig00000065 ;
  wire \blk00000001/sig00000064 ;
  wire \blk00000001/sig00000063 ;
  wire \blk00000001/sig00000062 ;
  wire \blk00000001/sig00000061 ;
  wire \blk00000001/sig00000060 ;
  wire \blk00000001/sig0000005f ;
  wire \blk00000001/sig0000005e ;
  wire \blk00000001/sig0000005d ;
  wire \blk00000001/sig0000005c ;
  wire \blk00000001/sig0000005b ;
  wire \blk00000001/sig0000005a ;
  wire \blk00000001/sig00000059 ;
  wire \blk00000001/sig00000058 ;
  wire \blk00000001/sig00000057 ;
  wire \blk00000001/sig00000056 ;
  wire \blk00000001/sig00000055 ;
  wire \blk00000001/sig00000054 ;
  wire \blk00000001/sig00000053 ;
  wire \blk00000001/sig00000052 ;
  wire \blk00000001/sig00000051 ;
  wire \blk00000001/sig00000050 ;
  wire \blk00000001/sig0000004f ;
  wire \blk00000001/sig0000004e ;
  wire \blk00000001/sig0000004d ;
  wire \blk00000001/sig0000004c ;
  wire \blk00000001/sig0000004b ;
  wire \blk00000001/sig0000004a ;
  wire \blk00000001/sig00000049 ;
  wire \blk00000001/sig00000048 ;
  wire \blk00000001/sig00000047 ;
  wire \blk00000001/sig00000046 ;
  wire \blk00000001/sig00000045 ;
  wire \blk00000001/sig00000044 ;
  wire \blk00000001/sig00000043 ;
  wire \blk00000001/sig00000042 ;
  wire \blk00000001/sig00000041 ;
  wire \blk00000001/sig00000040 ;
  wire \blk00000001/sig0000003f ;
  wire \blk00000001/sig0000003e ;
  wire \blk00000001/sig0000003d ;
  wire \blk00000001/sig0000003c ;
  wire \blk00000001/sig0000003b ;
  wire \blk00000001/sig0000003a ;
  wire \blk00000001/sig00000039 ;
  wire \blk00000001/sig00000038 ;
  wire \blk00000001/sig00000037 ;
  wire \blk00000001/sig00000036 ;
  wire \blk00000001/sig00000035 ;
  wire \blk00000001/sig00000034 ;
  wire \blk00000001/sig00000033 ;
  wire \blk00000001/sig00000032 ;
  wire \blk00000001/sig00000031 ;
  wire \blk00000001/sig00000030 ;
  wire \blk00000001/sig0000002f ;
  wire \blk00000001/sig0000002e ;
  wire \blk00000001/sig0000002d ;
  wire \blk00000001/sig0000002c ;
  wire \blk00000001/sig0000002b ;
  wire \blk00000001/sig0000002a ;
  wire \blk00000001/sig00000029 ;
  wire \blk00000001/sig00000028 ;
  wire \blk00000001/sig00000027 ;
  wire \blk00000001/sig00000026 ;
  wire \blk00000001/sig00000025 ;
  wire \blk00000001/sig00000024 ;
  wire \blk00000001/sig00000023 ;
  wire \blk00000001/sig00000022 ;
  wire \blk00000001/sig00000021 ;
  wire \blk00000001/sig00000020 ;
  wire \blk00000001/sig0000001f ;
  wire \blk00000001/sig0000001e ;
  wire \blk00000001/sig0000001d ;
  wire \blk00000001/sig0000001c ;
  wire \blk00000001/sig0000001b ;
  wire \blk00000001/sig0000001a ;
  wire \blk00000001/sig00000019 ;
  wire \blk00000001/sig00000018 ;
  wire \blk00000001/sig00000017 ;
  wire \blk00000001/sig00000016 ;
  wire \blk00000001/sig00000015 ;
  wire \blk00000001/sig00000014 ;
  wire \blk00000001/sig00000013 ;
  wire \blk00000001/sig00000012 ;
  wire \blk00000001/sig00000011 ;
  wire \blk00000001/blk00000023/sig00000105 ;
  wire \blk00000001/blk00000023/sig00000104 ;
  wire \blk00000001/blk00000023/sig00000103 ;
  wire \blk00000001/blk00000023/sig00000102 ;
  wire \blk00000001/blk00000023/sig00000101 ;
  wire \blk00000001/blk00000023/sig00000100 ;
  wire \blk00000001/blk00000023/sig000000ff ;
  wire \blk00000001/blk00000023/sig000000fe ;
  wire \blk00000001/blk00000023/sig000000fd ;
  wire \blk00000001/blk00000023/sig000000fc ;
  wire \blk00000001/blk00000023/sig000000fb ;
  wire \blk00000001/blk00000023/sig000000fa ;
  wire \blk00000001/blk00000023/sig000000f9 ;
  wire \blk00000001/blk00000023/sig000000f8 ;
  wire \blk00000001/blk00000023/sig000000f7 ;
  wire \blk00000001/blk00000023/sig000000f6 ;
  wire \blk00000001/blk00000023/sig000000f5 ;
  wire \blk00000001/blk00000023/sig000000f4 ;
  wire \blk00000001/blk00000023/sig000000f3 ;
  wire \blk00000001/blk00000023/sig000000f2 ;
  wire \blk00000001/blk00000023/sig000000ee ;
  wire \blk00000001/blk00000023/sig000000ed ;
  wire \blk00000001/blk00000023/sig000000ec ;
  wire \blk00000001/blk00000023/sig000000eb ;
  wire \blk00000001/blk00000023/sig000000ea ;
  wire \blk00000001/blk00000041/sig0000013a ;
  wire \blk00000001/blk00000041/sig00000139 ;
  wire \blk00000001/blk00000041/sig00000138 ;
  wire \blk00000001/blk00000041/sig00000137 ;
  wire \blk00000001/blk00000041/sig00000136 ;
  wire \blk00000001/blk00000041/sig00000135 ;
  wire \blk00000001/blk00000041/sig00000134 ;
  wire \blk00000001/blk00000041/sig00000133 ;
  wire \blk00000001/blk00000041/sig00000132 ;
  wire \blk00000001/blk00000041/sig00000131 ;
  wire \blk00000001/blk00000041/sig00000130 ;
  wire \blk00000001/blk00000041/sig0000012f ;
  wire \blk00000001/blk00000041/sig0000012e ;
  wire \blk00000001/blk00000041/sig0000012d ;
  wire \blk00000001/blk00000041/sig0000012c ;
  wire \blk00000001/blk00000041/sig0000012b ;
  wire \blk00000001/blk00000041/sig0000012a ;
  wire \blk00000001/blk00000041/sig00000129 ;
  wire \blk00000001/blk00000041/sig00000128 ;
  wire \blk00000001/blk00000041/sig00000127 ;
  wire \blk00000001/blk00000041/sig00000126 ;
  wire \blk00000001/blk00000041/sig00000125 ;
  wire \blk00000001/blk00000041/sig00000124 ;
  wire \blk00000001/blk00000041/sig00000123 ;
  wire \blk00000001/blk00000041/sig00000122 ;
  wire \blk00000001/blk00000041/sig00000121 ;
  wire \blk00000001/blk00000041/sig0000011e ;
  wire \blk00000001/blk00000041/sig0000011d ;
  wire \blk00000001/blk00000041/sig0000011c ;
  wire \blk00000001/blk00000041/sig0000011b ;
  wire \blk00000001/blk00000041/sig0000011a ;
  wire \blk00000001/blk00000085/sig00000157 ;
  wire \blk00000001/blk00000088/sig00000183 ;
  wire \blk00000001/blk00000088/sig00000182 ;
  wire \blk00000001/blk00000088/sig00000181 ;
  wire \blk00000001/blk00000088/sig00000180 ;
  wire \blk00000001/blk00000088/sig0000017f ;
  wire \blk00000001/blk00000088/sig0000017e ;
  wire \blk00000001/blk00000088/sig0000017d ;
  wire \blk00000001/blk00000088/sig0000017c ;
  wire \blk00000001/blk00000088/sig0000017b ;
  wire \blk00000001/blk00000088/sig0000017a ;
  wire \blk00000001/blk00000088/sig00000179 ;
  wire \blk00000001/blk00000088/sig00000178 ;
  wire \blk00000001/blk00000088/sig00000177 ;
  wire \blk00000001/blk00000088/sig00000176 ;
  wire \blk00000001/blk00000088/sig00000175 ;
  wire \blk00000001/blk00000088/sig00000174 ;
  wire \blk00000001/blk00000088/sig00000173 ;
  wire \blk00000001/blk00000088/sig00000172 ;
  wire \blk00000001/blk00000088/sig00000171 ;
  wire \blk00000001/blk00000088/sig00000168 ;
  wire \blk00000001/blk00000088/sig00000167 ;
  wire \blk00000001/blk00000088/sig00000166 ;
  wire \blk00000001/blk00000088/sig00000165 ;
  wire \blk00000001/blk00000088/sig00000164 ;
  wire \blk00000001/blk00000088/sig00000163 ;
  wire \blk00000001/blk00000088/sig00000162 ;
  wire \blk00000001/blk00000088/sig00000161 ;
  wire \blk00000001/blk000000ac/sig000001a1 ;
  wire \blk00000001/blk000000ac/sig000001a0 ;
  wire \blk00000001/blk000000ac/sig0000019f ;
  wire \blk00000001/blk000000ac/sig0000019d ;
  wire \blk00000001/blk000000ac/sig0000019c ;
  wire \NLW_blk00000001/blk00000118_Q15_UNCONNECTED ;
  wire \NLW_blk00000001/blk00000117_Q15_UNCONNECTED ;
  wire \NLW_blk00000001/blk00000115_Q15_UNCONNECTED ;
  wire \NLW_blk00000001/blk00000113_Q15_UNCONNECTED ;
  wire \NLW_blk00000001/blk00000112_Q15_UNCONNECTED ;
  wire \NLW_blk00000001/blk00000110_Q15_UNCONNECTED ;
  wire \NLW_blk00000001/blk0000010e_Q15_UNCONNECTED ;
  wire \NLW_blk00000001/blk0000010c_Q15_UNCONNECTED ;
  wire \NLW_blk00000001/blk0000010a_Q15_UNCONNECTED ;
  wire \NLW_blk00000001/blk00000108_Q15_UNCONNECTED ;
  wire \NLW_blk00000001/blk000000af_CARRYOUTF_UNCONNECTED ;
  wire \NLW_blk00000001/blk000000af_CARRYOUT_UNCONNECTED ;
  wire \NLW_blk00000001/blk000000af_BCOUT<17>_UNCONNECTED ;
  wire \NLW_blk00000001/blk000000af_BCOUT<16>_UNCONNECTED ;
  wire \NLW_blk00000001/blk000000af_BCOUT<15>_UNCONNECTED ;
  wire \NLW_blk00000001/blk000000af_BCOUT<14>_UNCONNECTED ;
  wire \NLW_blk00000001/blk000000af_BCOUT<13>_UNCONNECTED ;
  wire \NLW_blk00000001/blk000000af_BCOUT<12>_UNCONNECTED ;
  wire \NLW_blk00000001/blk000000af_BCOUT<11>_UNCONNECTED ;
  wire \NLW_blk00000001/blk000000af_BCOUT<10>_UNCONNECTED ;
  wire \NLW_blk00000001/blk000000af_BCOUT<9>_UNCONNECTED ;
  wire \NLW_blk00000001/blk000000af_BCOUT<8>_UNCONNECTED ;
  wire \NLW_blk00000001/blk000000af_BCOUT<7>_UNCONNECTED ;
  wire \NLW_blk00000001/blk000000af_BCOUT<6>_UNCONNECTED ;
  wire \NLW_blk00000001/blk000000af_BCOUT<5>_UNCONNECTED ;
  wire \NLW_blk00000001/blk000000af_BCOUT<4>_UNCONNECTED ;
  wire \NLW_blk00000001/blk000000af_BCOUT<3>_UNCONNECTED ;
  wire \NLW_blk00000001/blk000000af_BCOUT<2>_UNCONNECTED ;
  wire \NLW_blk00000001/blk000000af_BCOUT<1>_UNCONNECTED ;
  wire \NLW_blk00000001/blk000000af_BCOUT<0>_UNCONNECTED ;
  wire \NLW_blk00000001/blk000000af_P<47>_UNCONNECTED ;
  wire \NLW_blk00000001/blk000000af_P<46>_UNCONNECTED ;
  wire \NLW_blk00000001/blk000000af_P<45>_UNCONNECTED ;
  wire \NLW_blk00000001/blk000000af_P<44>_UNCONNECTED ;
  wire \NLW_blk00000001/blk000000af_P<43>_UNCONNECTED ;
  wire \NLW_blk00000001/blk000000af_P<42>_UNCONNECTED ;
  wire \NLW_blk00000001/blk000000af_P<41>_UNCONNECTED ;
  wire \NLW_blk00000001/blk000000af_P<40>_UNCONNECTED ;
  wire \NLW_blk00000001/blk000000af_P<39>_UNCONNECTED ;
  wire \NLW_blk00000001/blk000000af_P<38>_UNCONNECTED ;
  wire \NLW_blk00000001/blk000000af_P<37>_UNCONNECTED ;
  wire \NLW_blk00000001/blk000000af_P<36>_UNCONNECTED ;
  wire \NLW_blk00000001/blk000000af_P<35>_UNCONNECTED ;
  wire \NLW_blk00000001/blk000000af_P<34>_UNCONNECTED ;
  wire \NLW_blk00000001/blk000000af_P<33>_UNCONNECTED ;
  wire \NLW_blk00000001/blk000000af_P<32>_UNCONNECTED ;
  wire \NLW_blk00000001/blk000000af_P<31>_UNCONNECTED ;
  wire \NLW_blk00000001/blk000000af_P<30>_UNCONNECTED ;
  wire \NLW_blk00000001/blk000000af_P<29>_UNCONNECTED ;
  wire \NLW_blk00000001/blk000000af_P<28>_UNCONNECTED ;
  wire \NLW_blk00000001/blk000000af_P<27>_UNCONNECTED ;
  wire \NLW_blk00000001/blk000000af_P<26>_UNCONNECTED ;
  wire \NLW_blk00000001/blk000000af_P<25>_UNCONNECTED ;
  wire \NLW_blk00000001/blk000000af_P<24>_UNCONNECTED ;
  wire \NLW_blk00000001/blk000000af_P<23>_UNCONNECTED ;
  wire \NLW_blk00000001/blk000000af_P<22>_UNCONNECTED ;
  wire \NLW_blk00000001/blk000000af_P<21>_UNCONNECTED ;
  wire \NLW_blk00000001/blk000000af_P<20>_UNCONNECTED ;
  wire \NLW_blk00000001/blk000000af_P<19>_UNCONNECTED ;
  wire \NLW_blk00000001/blk000000af_P<18>_UNCONNECTED ;
  wire \NLW_blk00000001/blk000000af_P<17>_UNCONNECTED ;
  wire \NLW_blk00000001/blk000000af_P<16>_UNCONNECTED ;
  wire \NLW_blk00000001/blk000000af_P<15>_UNCONNECTED ;
  wire \NLW_blk00000001/blk000000af_P<6>_UNCONNECTED ;
  wire \NLW_blk00000001/blk000000af_P<5>_UNCONNECTED ;
  wire \NLW_blk00000001/blk000000af_P<4>_UNCONNECTED ;
  wire \NLW_blk00000001/blk000000af_P<3>_UNCONNECTED ;
  wire \NLW_blk00000001/blk000000af_P<2>_UNCONNECTED ;
  wire \NLW_blk00000001/blk000000af_P<1>_UNCONNECTED ;
  wire \NLW_blk00000001/blk000000af_P<0>_UNCONNECTED ;
  wire \NLW_blk00000001/blk000000af_PCOUT<47>_UNCONNECTED ;
  wire \NLW_blk00000001/blk000000af_PCOUT<46>_UNCONNECTED ;
  wire \NLW_blk00000001/blk000000af_PCOUT<45>_UNCONNECTED ;
  wire \NLW_blk00000001/blk000000af_PCOUT<44>_UNCONNECTED ;
  wire \NLW_blk00000001/blk000000af_PCOUT<43>_UNCONNECTED ;
  wire \NLW_blk00000001/blk000000af_PCOUT<42>_UNCONNECTED ;
  wire \NLW_blk00000001/blk000000af_PCOUT<41>_UNCONNECTED ;
  wire \NLW_blk00000001/blk000000af_PCOUT<40>_UNCONNECTED ;
  wire \NLW_blk00000001/blk000000af_PCOUT<39>_UNCONNECTED ;
  wire \NLW_blk00000001/blk000000af_PCOUT<38>_UNCONNECTED ;
  wire \NLW_blk00000001/blk000000af_PCOUT<37>_UNCONNECTED ;
  wire \NLW_blk00000001/blk000000af_PCOUT<36>_UNCONNECTED ;
  wire \NLW_blk00000001/blk000000af_PCOUT<35>_UNCONNECTED ;
  wire \NLW_blk00000001/blk000000af_PCOUT<34>_UNCONNECTED ;
  wire \NLW_blk00000001/blk000000af_PCOUT<33>_UNCONNECTED ;
  wire \NLW_blk00000001/blk000000af_PCOUT<32>_UNCONNECTED ;
  wire \NLW_blk00000001/blk000000af_PCOUT<31>_UNCONNECTED ;
  wire \NLW_blk00000001/blk000000af_PCOUT<30>_UNCONNECTED ;
  wire \NLW_blk00000001/blk000000af_PCOUT<29>_UNCONNECTED ;
  wire \NLW_blk00000001/blk000000af_PCOUT<28>_UNCONNECTED ;
  wire \NLW_blk00000001/blk000000af_PCOUT<27>_UNCONNECTED ;
  wire \NLW_blk00000001/blk000000af_PCOUT<26>_UNCONNECTED ;
  wire \NLW_blk00000001/blk000000af_PCOUT<25>_UNCONNECTED ;
  wire \NLW_blk00000001/blk000000af_PCOUT<24>_UNCONNECTED ;
  wire \NLW_blk00000001/blk000000af_PCOUT<23>_UNCONNECTED ;
  wire \NLW_blk00000001/blk000000af_PCOUT<22>_UNCONNECTED ;
  wire \NLW_blk00000001/blk000000af_PCOUT<21>_UNCONNECTED ;
  wire \NLW_blk00000001/blk000000af_PCOUT<20>_UNCONNECTED ;
  wire \NLW_blk00000001/blk000000af_PCOUT<19>_UNCONNECTED ;
  wire \NLW_blk00000001/blk000000af_PCOUT<18>_UNCONNECTED ;
  wire \NLW_blk00000001/blk000000af_PCOUT<17>_UNCONNECTED ;
  wire \NLW_blk00000001/blk000000af_PCOUT<16>_UNCONNECTED ;
  wire \NLW_blk00000001/blk000000af_PCOUT<15>_UNCONNECTED ;
  wire \NLW_blk00000001/blk000000af_PCOUT<14>_UNCONNECTED ;
  wire \NLW_blk00000001/blk000000af_PCOUT<13>_UNCONNECTED ;
  wire \NLW_blk00000001/blk000000af_PCOUT<12>_UNCONNECTED ;
  wire \NLW_blk00000001/blk000000af_PCOUT<11>_UNCONNECTED ;
  wire \NLW_blk00000001/blk000000af_PCOUT<10>_UNCONNECTED ;
  wire \NLW_blk00000001/blk000000af_PCOUT<9>_UNCONNECTED ;
  wire \NLW_blk00000001/blk000000af_PCOUT<8>_UNCONNECTED ;
  wire \NLW_blk00000001/blk000000af_PCOUT<7>_UNCONNECTED ;
  wire \NLW_blk00000001/blk000000af_PCOUT<6>_UNCONNECTED ;
  wire \NLW_blk00000001/blk000000af_PCOUT<5>_UNCONNECTED ;
  wire \NLW_blk00000001/blk000000af_PCOUT<4>_UNCONNECTED ;
  wire \NLW_blk00000001/blk000000af_PCOUT<3>_UNCONNECTED ;
  wire \NLW_blk00000001/blk000000af_PCOUT<2>_UNCONNECTED ;
  wire \NLW_blk00000001/blk000000af_PCOUT<1>_UNCONNECTED ;
  wire \NLW_blk00000001/blk000000af_PCOUT<0>_UNCONNECTED ;
  wire \NLW_blk00000001/blk000000af_M<35>_UNCONNECTED ;
  wire \NLW_blk00000001/blk000000af_M<34>_UNCONNECTED ;
  wire \NLW_blk00000001/blk000000af_M<33>_UNCONNECTED ;
  wire \NLW_blk00000001/blk000000af_M<32>_UNCONNECTED ;
  wire \NLW_blk00000001/blk000000af_M<31>_UNCONNECTED ;
  wire \NLW_blk00000001/blk000000af_M<30>_UNCONNECTED ;
  wire \NLW_blk00000001/blk000000af_M<29>_UNCONNECTED ;
  wire \NLW_blk00000001/blk000000af_M<28>_UNCONNECTED ;
  wire \NLW_blk00000001/blk000000af_M<27>_UNCONNECTED ;
  wire \NLW_blk00000001/blk000000af_M<26>_UNCONNECTED ;
  wire \NLW_blk00000001/blk000000af_M<25>_UNCONNECTED ;
  wire \NLW_blk00000001/blk000000af_M<24>_UNCONNECTED ;
  wire \NLW_blk00000001/blk000000af_M<23>_UNCONNECTED ;
  wire \NLW_blk00000001/blk000000af_M<22>_UNCONNECTED ;
  wire \NLW_blk00000001/blk000000af_M<21>_UNCONNECTED ;
  wire \NLW_blk00000001/blk000000af_M<20>_UNCONNECTED ;
  wire \NLW_blk00000001/blk000000af_M<19>_UNCONNECTED ;
  wire \NLW_blk00000001/blk000000af_M<18>_UNCONNECTED ;
  wire \NLW_blk00000001/blk000000af_M<17>_UNCONNECTED ;
  wire \NLW_blk00000001/blk000000af_M<16>_UNCONNECTED ;
  wire \NLW_blk00000001/blk000000af_M<15>_UNCONNECTED ;
  wire \NLW_blk00000001/blk000000af_M<14>_UNCONNECTED ;
  wire \NLW_blk00000001/blk000000af_M<13>_UNCONNECTED ;
  wire \NLW_blk00000001/blk000000af_M<12>_UNCONNECTED ;
  wire \NLW_blk00000001/blk000000af_M<11>_UNCONNECTED ;
  wire \NLW_blk00000001/blk000000af_M<10>_UNCONNECTED ;
  wire \NLW_blk00000001/blk000000af_M<9>_UNCONNECTED ;
  wire \NLW_blk00000001/blk000000af_M<8>_UNCONNECTED ;
  wire \NLW_blk00000001/blk000000af_M<7>_UNCONNECTED ;
  wire \NLW_blk00000001/blk000000af_M<6>_UNCONNECTED ;
  wire \NLW_blk00000001/blk000000af_M<5>_UNCONNECTED ;
  wire \NLW_blk00000001/blk000000af_M<4>_UNCONNECTED ;
  wire \NLW_blk00000001/blk000000af_M<3>_UNCONNECTED ;
  wire \NLW_blk00000001/blk000000af_M<2>_UNCONNECTED ;
  wire \NLW_blk00000001/blk000000af_M<1>_UNCONNECTED ;
  wire \NLW_blk00000001/blk000000af_M<0>_UNCONNECTED ;
  wire \NLW_blk00000001/blk00000023/blk0000002e_Q15_UNCONNECTED ;
  wire \NLW_blk00000001/blk00000023/blk0000002d_Q15_UNCONNECTED ;
  wire \NLW_blk00000001/blk00000041/blk00000053_Q15_UNCONNECTED ;
  wire \NLW_blk00000001/blk00000041/blk00000052_Q15_UNCONNECTED ;
  wire \NLW_blk00000001/blk00000041/blk00000051_Q15_UNCONNECTED ;
  wire \NLW_blk00000001/blk00000041/blk00000050_Q15_UNCONNECTED ;
  wire \NLW_blk00000001/blk00000041/blk0000004f_Q15_UNCONNECTED ;
  wire \NLW_blk00000001/blk00000041/blk0000004e_Q15_UNCONNECTED ;
  wire \NLW_blk00000001/blk00000041/blk0000004d_Q15_UNCONNECTED ;
  wire \NLW_blk00000001/blk00000041/blk0000004c_Q15_UNCONNECTED ;
  wire \NLW_blk00000001/blk00000085/blk00000087_DOADO<15>_UNCONNECTED ;
  wire \NLW_blk00000001/blk00000085/blk00000087_DOADO<14>_UNCONNECTED ;
  wire \NLW_blk00000001/blk00000085/blk00000087_DOADO<13>_UNCONNECTED ;
  wire \NLW_blk00000001/blk00000085/blk00000087_DOADO<12>_UNCONNECTED ;
  wire \NLW_blk00000001/blk00000085/blk00000087_DOADO<11>_UNCONNECTED ;
  wire \NLW_blk00000001/blk00000085/blk00000087_DOADO<10>_UNCONNECTED ;
  wire \NLW_blk00000001/blk00000085/blk00000087_DOADO<9>_UNCONNECTED ;
  wire \NLW_blk00000001/blk00000085/blk00000087_DOADO<8>_UNCONNECTED ;
  wire \NLW_blk00000001/blk00000085/blk00000087_DOADO<7>_UNCONNECTED ;
  wire \NLW_blk00000001/blk00000085/blk00000087_DOADO<6>_UNCONNECTED ;
  wire \NLW_blk00000001/blk00000085/blk00000087_DOADO<5>_UNCONNECTED ;
  wire \NLW_blk00000001/blk00000085/blk00000087_DOADO<4>_UNCONNECTED ;
  wire \NLW_blk00000001/blk00000085/blk00000087_DOADO<3>_UNCONNECTED ;
  wire \NLW_blk00000001/blk00000085/blk00000087_DOADO<2>_UNCONNECTED ;
  wire \NLW_blk00000001/blk00000085/blk00000087_DOPADOP<1>_UNCONNECTED ;
  wire \NLW_blk00000001/blk00000085/blk00000087_DOPADOP<0>_UNCONNECTED ;
  wire \NLW_blk00000001/blk00000085/blk00000087_DOPBDOP<1>_UNCONNECTED ;
  wire \NLW_blk00000001/blk00000085/blk00000087_DOPBDOP<0>_UNCONNECTED ;
  wire \NLW_blk00000001/blk00000085/blk00000087_ADDRAWRADDR<0>_UNCONNECTED ;
  wire \NLW_blk00000001/blk00000085/blk00000087_DIPBDIP<1>_UNCONNECTED ;
  wire \NLW_blk00000001/blk00000085/blk00000087_DIPBDIP<0>_UNCONNECTED ;
  wire \NLW_blk00000001/blk00000085/blk00000087_DIBDI<15>_UNCONNECTED ;
  wire \NLW_blk00000001/blk00000085/blk00000087_DIBDI<14>_UNCONNECTED ;
  wire \NLW_blk00000001/blk00000085/blk00000087_DIBDI<13>_UNCONNECTED ;
  wire \NLW_blk00000001/blk00000085/blk00000087_DIBDI<12>_UNCONNECTED ;
  wire \NLW_blk00000001/blk00000085/blk00000087_DIBDI<11>_UNCONNECTED ;
  wire \NLW_blk00000001/blk00000085/blk00000087_DIBDI<10>_UNCONNECTED ;
  wire \NLW_blk00000001/blk00000085/blk00000087_DIBDI<9>_UNCONNECTED ;
  wire \NLW_blk00000001/blk00000085/blk00000087_DIBDI<8>_UNCONNECTED ;
  wire \NLW_blk00000001/blk00000085/blk00000087_DIBDI<7>_UNCONNECTED ;
  wire \NLW_blk00000001/blk00000085/blk00000087_DIBDI<6>_UNCONNECTED ;
  wire \NLW_blk00000001/blk00000085/blk00000087_DIBDI<5>_UNCONNECTED ;
  wire \NLW_blk00000001/blk00000085/blk00000087_DIBDI<4>_UNCONNECTED ;
  wire \NLW_blk00000001/blk00000085/blk00000087_DIBDI<3>_UNCONNECTED ;
  wire \NLW_blk00000001/blk00000085/blk00000087_DIBDI<2>_UNCONNECTED ;
  wire \NLW_blk00000001/blk00000085/blk00000087_DIADI<15>_UNCONNECTED ;
  wire \NLW_blk00000001/blk00000085/blk00000087_DIADI<14>_UNCONNECTED ;
  wire \NLW_blk00000001/blk00000085/blk00000087_DIADI<13>_UNCONNECTED ;
  wire \NLW_blk00000001/blk00000085/blk00000087_DIADI<12>_UNCONNECTED ;
  wire \NLW_blk00000001/blk00000085/blk00000087_DIADI<11>_UNCONNECTED ;
  wire \NLW_blk00000001/blk00000085/blk00000087_DIADI<10>_UNCONNECTED ;
  wire \NLW_blk00000001/blk00000085/blk00000087_DIADI<9>_UNCONNECTED ;
  wire \NLW_blk00000001/blk00000085/blk00000087_DIADI<8>_UNCONNECTED ;
  wire \NLW_blk00000001/blk00000085/blk00000087_DIADI<7>_UNCONNECTED ;
  wire \NLW_blk00000001/blk00000085/blk00000087_DIADI<6>_UNCONNECTED ;
  wire \NLW_blk00000001/blk00000085/blk00000087_DIADI<5>_UNCONNECTED ;
  wire \NLW_blk00000001/blk00000085/blk00000087_DIADI<4>_UNCONNECTED ;
  wire \NLW_blk00000001/blk00000085/blk00000087_DIADI<3>_UNCONNECTED ;
  wire \NLW_blk00000001/blk00000085/blk00000087_DIADI<2>_UNCONNECTED ;
  wire \NLW_blk00000001/blk00000085/blk00000087_ADDRBRDADDR<0>_UNCONNECTED ;
  wire \NLW_blk00000001/blk00000085/blk00000087_DOBDO<15>_UNCONNECTED ;
  wire \NLW_blk00000001/blk00000085/blk00000087_DOBDO<14>_UNCONNECTED ;
  wire \NLW_blk00000001/blk00000085/blk00000087_DOBDO<13>_UNCONNECTED ;
  wire \NLW_blk00000001/blk00000085/blk00000087_DOBDO<12>_UNCONNECTED ;
  wire \NLW_blk00000001/blk00000085/blk00000087_DOBDO<11>_UNCONNECTED ;
  wire \NLW_blk00000001/blk00000085/blk00000087_DOBDO<10>_UNCONNECTED ;
  wire \NLW_blk00000001/blk00000085/blk00000087_DOBDO<9>_UNCONNECTED ;
  wire \NLW_blk00000001/blk00000085/blk00000087_DOBDO<8>_UNCONNECTED ;
  wire \NLW_blk00000001/blk00000085/blk00000087_DOBDO<7>_UNCONNECTED ;
  wire \NLW_blk00000001/blk00000085/blk00000087_DOBDO<6>_UNCONNECTED ;
  wire \NLW_blk00000001/blk00000085/blk00000087_DOBDO<5>_UNCONNECTED ;
  wire \NLW_blk00000001/blk00000085/blk00000087_DOBDO<4>_UNCONNECTED ;
  wire \NLW_blk00000001/blk00000085/blk00000087_DOBDO<3>_UNCONNECTED ;
  wire \NLW_blk00000001/blk00000085/blk00000087_DOBDO<2>_UNCONNECTED ;
  wire \NLW_blk00000001/blk00000085/blk00000087_DIPADIP<1>_UNCONNECTED ;
  wire \NLW_blk00000001/blk00000085/blk00000087_DIPADIP<0>_UNCONNECTED ;
  assign
    s_axis_data_tready = NlwRenamedSig_OI_s_axis_data_tready,
    m_axis_data_tvalid = NlwRenamedSig_OI_m_axis_data_tvalid;
  SRLC16E #(
    .INIT ( 16'h0000 ))
  \blk00000001/blk00000118  (
    .A0(\blk00000001/sig000000ae ),
    .A1(\blk00000001/sig000000db ),
    .A2(\blk00000001/sig000000db ),
    .A3(\blk00000001/sig000000ae ),
    .CE(\blk00000001/sig0000009d ),
    .CLK(aclk),
    .D(\blk00000001/sig0000004e ),
    .Q(\blk00000001/sig000000ba ),
    .Q15(\NLW_blk00000001/blk00000118_Q15_UNCONNECTED )
  );
  SRLC16E #(
    .INIT ( 16'h0000 ))
  \blk00000001/blk00000117  (
    .A0(\blk00000001/sig000000db ),
    .A1(\blk00000001/sig000000db ),
    .A2(\blk00000001/sig000000ae ),
    .A3(\blk00000001/sig000000ae ),
    .CE(\blk00000001/sig0000009d ),
    .CLK(aclk),
    .D(\blk00000001/sig00000083 ),
    .Q(\blk00000001/sig000000b1 ),
    .Q15(\NLW_blk00000001/blk00000117_Q15_UNCONNECTED )
  );
  FDE #(
    .INIT ( 1'b0 ))
  \blk00000001/blk00000116  (
    .C(aclk),
    .CE(\blk00000001/sig0000009d ),
    .D(\blk00000001/sig000000e2 ),
    .Q(\blk00000001/sig0000008c )
  );
  SRLC16E #(
    .INIT ( 16'h0000 ))
  \blk00000001/blk00000115  (
    .A0(\blk00000001/sig000000ae ),
    .A1(\blk00000001/sig000000db ),
    .A2(\blk00000001/sig000000ae ),
    .A3(\blk00000001/sig000000ae ),
    .CE(\blk00000001/sig0000009d ),
    .CLK(aclk),
    .D(\blk00000001/sig00000024 ),
    .Q(\blk00000001/sig000000e2 ),
    .Q15(\NLW_blk00000001/blk00000115_Q15_UNCONNECTED )
  );
  FDE #(
    .INIT ( 1'b0 ))
  \blk00000001/blk00000114  (
    .C(aclk),
    .CE(\blk00000001/sig0000009d ),
    .D(\blk00000001/sig000000e1 ),
    .Q(\blk00000001/sig0000008d )
  );
  SRLC16E #(
    .INIT ( 16'h0000 ))
  \blk00000001/blk00000113  (
    .A0(\blk00000001/sig000000ae ),
    .A1(\blk00000001/sig000000db ),
    .A2(\blk00000001/sig000000ae ),
    .A3(\blk00000001/sig000000ae ),
    .CE(\blk00000001/sig0000009d ),
    .CLK(aclk),
    .D(\blk00000001/sig00000023 ),
    .Q(\blk00000001/sig000000e1 ),
    .Q15(\NLW_blk00000001/blk00000113_Q15_UNCONNECTED )
  );
  SRLC16E #(
    .INIT ( 16'h0000 ))
  \blk00000001/blk00000112  (
    .A0(\blk00000001/sig000000db ),
    .A1(\blk00000001/sig000000db ),
    .A2(\blk00000001/sig000000ae ),
    .A3(\blk00000001/sig000000ae ),
    .CE(\blk00000001/sig0000009d ),
    .CLK(aclk),
    .D(\blk00000001/sig0000004c ),
    .Q(\blk00000001/sig000000b0 ),
    .Q15(\NLW_blk00000001/blk00000112_Q15_UNCONNECTED )
  );
  FDE #(
    .INIT ( 1'b0 ))
  \blk00000001/blk00000111  (
    .C(aclk),
    .CE(\blk00000001/sig0000009d ),
    .D(\blk00000001/sig000000e0 ),
    .Q(\blk00000001/sig0000008e )
  );
  SRLC16E #(
    .INIT ( 16'h0000 ))
  \blk00000001/blk00000110  (
    .A0(\blk00000001/sig000000ae ),
    .A1(\blk00000001/sig000000db ),
    .A2(\blk00000001/sig000000ae ),
    .A3(\blk00000001/sig000000ae ),
    .CE(\blk00000001/sig0000009d ),
    .CLK(aclk),
    .D(\blk00000001/sig00000022 ),
    .Q(\blk00000001/sig000000e0 ),
    .Q15(\NLW_blk00000001/blk00000110_Q15_UNCONNECTED )
  );
  FDE #(
    .INIT ( 1'b0 ))
  \blk00000001/blk0000010f  (
    .C(aclk),
    .CE(\blk00000001/sig0000009d ),
    .D(\blk00000001/sig000000df ),
    .Q(\blk00000001/sig0000008f )
  );
  SRLC16E #(
    .INIT ( 16'h0000 ))
  \blk00000001/blk0000010e  (
    .A0(\blk00000001/sig000000ae ),
    .A1(\blk00000001/sig000000db ),
    .A2(\blk00000001/sig000000ae ),
    .A3(\blk00000001/sig000000ae ),
    .CE(\blk00000001/sig0000009d ),
    .CLK(aclk),
    .D(\blk00000001/sig00000021 ),
    .Q(\blk00000001/sig000000df ),
    .Q15(\NLW_blk00000001/blk0000010e_Q15_UNCONNECTED )
  );
  FDE #(
    .INIT ( 1'b0 ))
  \blk00000001/blk0000010d  (
    .C(aclk),
    .CE(\blk00000001/sig0000009d ),
    .D(\blk00000001/sig000000de ),
    .Q(\blk00000001/sig00000091 )
  );
  SRLC16E #(
    .INIT ( 16'h0000 ))
  \blk00000001/blk0000010c  (
    .A0(\blk00000001/sig000000ae ),
    .A1(\blk00000001/sig000000db ),
    .A2(\blk00000001/sig000000ae ),
    .A3(\blk00000001/sig000000ae ),
    .CE(\blk00000001/sig0000009d ),
    .CLK(aclk),
    .D(\blk00000001/sig0000001f ),
    .Q(\blk00000001/sig000000de ),
    .Q15(\NLW_blk00000001/blk0000010c_Q15_UNCONNECTED )
  );
  FDE #(
    .INIT ( 1'b0 ))
  \blk00000001/blk0000010b  (
    .C(aclk),
    .CE(\blk00000001/sig0000009d ),
    .D(\blk00000001/sig000000dd ),
    .Q(\blk00000001/sig00000092 )
  );
  SRLC16E #(
    .INIT ( 16'h0000 ))
  \blk00000001/blk0000010a  (
    .A0(\blk00000001/sig000000ae ),
    .A1(\blk00000001/sig000000db ),
    .A2(\blk00000001/sig000000ae ),
    .A3(\blk00000001/sig000000ae ),
    .CE(\blk00000001/sig0000009d ),
    .CLK(aclk),
    .D(\blk00000001/sig0000001e ),
    .Q(\blk00000001/sig000000dd ),
    .Q15(\NLW_blk00000001/blk0000010a_Q15_UNCONNECTED )
  );
  FDE #(
    .INIT ( 1'b0 ))
  \blk00000001/blk00000109  (
    .C(aclk),
    .CE(\blk00000001/sig0000009d ),
    .D(\blk00000001/sig000000dc ),
    .Q(\blk00000001/sig00000090 )
  );
  SRLC16E #(
    .INIT ( 16'h0000 ))
  \blk00000001/blk00000108  (
    .A0(\blk00000001/sig000000ae ),
    .A1(\blk00000001/sig000000db ),
    .A2(\blk00000001/sig000000ae ),
    .A3(\blk00000001/sig000000ae ),
    .CE(\blk00000001/sig0000009d ),
    .CLK(aclk),
    .D(\blk00000001/sig00000020 ),
    .Q(\blk00000001/sig000000dc ),
    .Q15(\NLW_blk00000001/blk00000108_Q15_UNCONNECTED )
  );
  VCC   \blk00000001/blk00000107  (
    .P(\blk00000001/sig000000db )
  );
  INV   \blk00000001/blk00000106  (
    .I(\blk00000001/sig0000003d ),
    .O(\blk00000001/sig0000003c )
  );
  INV   \blk00000001/blk00000105  (
    .I(\blk00000001/sig00000048 ),
    .O(\blk00000001/sig0000001b )
  );
  INV   \blk00000001/blk00000104  (
    .I(\blk00000001/sig000000b4 ),
    .O(\blk00000001/sig000000b8 )
  );
  INV   \blk00000001/blk00000103  (
    .I(\blk00000001/sig000000ad ),
    .O(\blk00000001/sig000000af )
  );
  INV   \blk00000001/blk00000102  (
    .I(aresetn),
    .O(\blk00000001/sig000000a1 )
  );
  INV   \blk00000001/blk00000101  (
    .I(\blk00000001/sig00000024 ),
    .O(\blk00000001/sig00000036 )
  );
  LUT6 #(
    .INIT ( 64'h66AA566AAAAAAAAA ))
  \blk00000001/blk00000100  (
    .I0(\blk00000001/sig00000017 ),
    .I1(\blk00000001/sig00000083 ),
    .I2(\blk00000001/sig00000018 ),
    .I3(\blk00000001/sig0000004a ),
    .I4(\blk00000001/sig00000011 ),
    .I5(\blk00000001/sig0000004c ),
    .O(\blk00000001/sig000000d2 )
  );
  LUT5 #(
    .INIT ( 32'h6C6CC66C ))
  \blk00000001/blk000000ff  (
    .I0(\blk00000001/sig0000004c ),
    .I1(\blk00000001/sig0000004a ),
    .I2(\blk00000001/sig00000083 ),
    .I3(\blk00000001/sig00000018 ),
    .I4(\blk00000001/sig00000011 ),
    .O(\blk00000001/sig000000d1 )
  );
  LUT6 #(
    .INIT ( 64'h6C6C6C6C6C6C6CC6 ))
  \blk00000001/blk000000fe  (
    .I0(\blk00000001/sig0000004c ),
    .I1(\blk00000001/sig00000045 ),
    .I2(\blk00000001/sig00000083 ),
    .I3(\blk00000001/sig00000044 ),
    .I4(\blk00000001/sig00000043 ),
    .I5(\blk00000001/sig00000013 ),
    .O(\blk00000001/sig000000c9 )
  );
  LUT6 #(
    .INIT ( 64'h9AAAAAAAAAAAAAAA ))
  \blk00000001/blk000000fd  (
    .I0(\blk00000001/sig0000001e ),
    .I1(\blk00000001/sig00000012 ),
    .I2(\blk00000001/sig0000004c ),
    .I3(\blk00000001/sig00000020 ),
    .I4(\blk00000001/sig0000001f ),
    .I5(\blk00000001/sig00000021 ),
    .O(\blk00000001/sig000000da )
  );
  LUT6 #(
    .INIT ( 64'hC6C69CC666666666 ))
  \blk00000001/blk000000fc  (
    .I0(\blk00000001/sig00000083 ),
    .I1(\blk00000001/sig0000004b ),
    .I2(\blk00000001/sig0000004a ),
    .I3(\blk00000001/sig00000018 ),
    .I4(\blk00000001/sig00000011 ),
    .I5(\blk00000001/sig00000017 ),
    .O(\blk00000001/sig00000025 )
  );
  LUT3 #(
    .INIT ( 8'hE4 ))
  \blk00000001/blk000000fb  (
    .I0(\blk00000001/sig0000004c ),
    .I1(\blk00000001/sig0000001f ),
    .I2(\blk00000001/sig00000031 ),
    .O(\blk00000001/sig000000d9 )
  );
  LUT3 #(
    .INIT ( 8'hE4 ))
  \blk00000001/blk000000fa  (
    .I0(\blk00000001/sig0000004c ),
    .I1(\blk00000001/sig00000020 ),
    .I2(\blk00000001/sig00000032 ),
    .O(\blk00000001/sig000000d8 )
  );
  LUT3 #(
    .INIT ( 8'hE4 ))
  \blk00000001/blk000000f9  (
    .I0(\blk00000001/sig0000004c ),
    .I1(\blk00000001/sig00000021 ),
    .I2(\blk00000001/sig00000033 ),
    .O(\blk00000001/sig000000d7 )
  );
  LUT3 #(
    .INIT ( 8'hE4 ))
  \blk00000001/blk000000f8  (
    .I0(\blk00000001/sig0000004c ),
    .I1(\blk00000001/sig00000022 ),
    .I2(\blk00000001/sig00000034 ),
    .O(\blk00000001/sig000000d6 )
  );
  LUT3 #(
    .INIT ( 8'hE4 ))
  \blk00000001/blk000000f7  (
    .I0(\blk00000001/sig0000004c ),
    .I1(\blk00000001/sig00000023 ),
    .I2(\blk00000001/sig00000035 ),
    .O(\blk00000001/sig000000d5 )
  );
  LUT3 #(
    .INIT ( 8'hE4 ))
  \blk00000001/blk000000f6  (
    .I0(\blk00000001/sig0000004c ),
    .I1(\blk00000001/sig00000024 ),
    .I2(\blk00000001/sig00000036 ),
    .O(\blk00000001/sig000000d4 )
  );
  LUT3 #(
    .INIT ( 8'hE4 ))
  \blk00000001/blk000000f5  (
    .I0(\blk00000001/sig0000004c ),
    .I1(\blk00000001/sig0000004b ),
    .I2(\blk00000001/sig00000025 ),
    .O(\blk00000001/sig000000d3 )
  );
  LUT3 #(
    .INIT ( 8'hE4 ))
  \blk00000001/blk000000f4  (
    .I0(\blk00000001/sig0000004c ),
    .I1(\blk00000001/sig00000018 ),
    .I2(\blk00000001/sig00000026 ),
    .O(\blk00000001/sig000000d0 )
  );
  LUT3 #(
    .INIT ( 8'hE4 ))
  \blk00000001/blk000000f3  (
    .I0(\blk00000001/sig0000004c ),
    .I1(\blk00000001/sig00000019 ),
    .I2(\blk00000001/sig00000027 ),
    .O(\blk00000001/sig000000cf )
  );
  LUT3 #(
    .INIT ( 8'hE4 ))
  \blk00000001/blk000000f2  (
    .I0(\blk00000001/sig0000004c ),
    .I1(\blk00000001/sig0000001a ),
    .I2(\blk00000001/sig00000028 ),
    .O(\blk00000001/sig000000ce )
  );
  LUT3 #(
    .INIT ( 8'hE4 ))
  \blk00000001/blk000000f1  (
    .I0(\blk00000001/sig0000004c ),
    .I1(\blk00000001/sig00000049 ),
    .I2(\blk00000001/sig00000029 ),
    .O(\blk00000001/sig000000cd )
  );
  LUT3 #(
    .INIT ( 8'hE4 ))
  \blk00000001/blk000000f0  (
    .I0(\blk00000001/sig0000004c ),
    .I1(\blk00000001/sig00000048 ),
    .I2(\blk00000001/sig0000002a ),
    .O(\blk00000001/sig000000cc )
  );
  LUT3 #(
    .INIT ( 8'hE4 ))
  \blk00000001/blk000000ef  (
    .I0(\blk00000001/sig0000004c ),
    .I1(\blk00000001/sig00000047 ),
    .I2(\blk00000001/sig0000002b ),
    .O(\blk00000001/sig000000cb )
  );
  LUT3 #(
    .INIT ( 8'hE4 ))
  \blk00000001/blk000000ee  (
    .I0(\blk00000001/sig0000004c ),
    .I1(\blk00000001/sig00000046 ),
    .I2(\blk00000001/sig0000002c ),
    .O(\blk00000001/sig000000ca )
  );
  LUT3 #(
    .INIT ( 8'hE4 ))
  \blk00000001/blk000000ed  (
    .I0(\blk00000001/sig0000004c ),
    .I1(\blk00000001/sig00000044 ),
    .I2(\blk00000001/sig0000002d ),
    .O(\blk00000001/sig000000c8 )
  );
  LUT3 #(
    .INIT ( 8'hE4 ))
  \blk00000001/blk000000ec  (
    .I0(\blk00000001/sig0000004c ),
    .I1(\blk00000001/sig00000043 ),
    .I2(\blk00000001/sig0000002e ),
    .O(\blk00000001/sig000000c7 )
  );
  LUT3 #(
    .INIT ( 8'hE4 ))
  \blk00000001/blk000000eb  (
    .I0(\blk00000001/sig0000004c ),
    .I1(\blk00000001/sig00000042 ),
    .I2(\blk00000001/sig0000002f ),
    .O(\blk00000001/sig000000c6 )
  );
  LUT3 #(
    .INIT ( 8'hE4 ))
  \blk00000001/blk000000ea  (
    .I0(\blk00000001/sig0000004c ),
    .I1(\blk00000001/sig00000041 ),
    .I2(\blk00000001/sig00000030 ),
    .O(\blk00000001/sig000000c5 )
  );
  LUT6 #(
    .INIT ( 64'h36CC36CC26C876CD ))
  \blk00000001/blk000000e9  (
    .I0(\blk00000001/sig00000046 ),
    .I1(\blk00000001/sig00000047 ),
    .I2(\blk00000001/sig00000045 ),
    .I3(\blk00000001/sig00000083 ),
    .I4(\blk00000001/sig000000c3 ),
    .I5(\blk00000001/sig00000013 ),
    .O(\blk00000001/sig0000002b )
  );
  LUT6 #(
    .INIT ( 64'h9999AAAA9995AAA9 ))
  \blk00000001/blk000000e8  (
    .I0(\blk00000001/sig00000046 ),
    .I1(\blk00000001/sig00000045 ),
    .I2(\blk00000001/sig00000044 ),
    .I3(\blk00000001/sig00000043 ),
    .I4(\blk00000001/sig00000083 ),
    .I5(\blk00000001/sig00000013 ),
    .O(\blk00000001/sig0000002c )
  );
  LUT3 #(
    .INIT ( 8'h56 ))
  \blk00000001/blk000000e7  (
    .I0(\blk00000001/sig00000041 ),
    .I1(\blk00000001/sig00000048 ),
    .I2(\blk00000001/sig00000083 ),
    .O(\blk00000001/sig00000030 )
  );
  LUT5 #(
    .INIT ( 32'hA665A666 ))
  \blk00000001/blk000000e6  (
    .I0(\blk00000001/sig00000043 ),
    .I1(\blk00000001/sig00000083 ),
    .I2(\blk00000001/sig00000041 ),
    .I3(\blk00000001/sig00000042 ),
    .I4(\blk00000001/sig00000048 ),
    .O(\blk00000001/sig0000002e )
  );
  LUT4 #(
    .INIT ( 16'h6AAA ))
  \blk00000001/blk000000e5  (
    .I0(\blk00000001/sig00000021 ),
    .I1(\blk00000001/sig00000022 ),
    .I2(\blk00000001/sig00000024 ),
    .I3(\blk00000001/sig00000023 ),
    .O(\blk00000001/sig00000033 )
  );
  LUT5 #(
    .INIT ( 32'h6AAAAAAA ))
  \blk00000001/blk000000e4  (
    .I0(\blk00000001/sig00000020 ),
    .I1(\blk00000001/sig00000021 ),
    .I2(\blk00000001/sig00000022 ),
    .I3(\blk00000001/sig00000024 ),
    .I4(\blk00000001/sig00000023 ),
    .O(\blk00000001/sig00000032 )
  );
  LUT6 #(
    .INIT ( 64'h5666AAAAAAAAAAAA ))
  \blk00000001/blk000000e3  (
    .I0(\blk00000001/sig00000018 ),
    .I1(\blk00000001/sig00000083 ),
    .I2(\blk00000001/sig00000049 ),
    .I3(\blk00000001/sig00000048 ),
    .I4(\blk00000001/sig00000019 ),
    .I5(\blk00000001/sig0000001a ),
    .O(\blk00000001/sig00000026 )
  );
  LUT6 #(
    .INIT ( 64'hAAAAAAAAA665A666 ))
  \blk00000001/blk000000e2  (
    .I0(\blk00000001/sig00000044 ),
    .I1(\blk00000001/sig00000083 ),
    .I2(\blk00000001/sig00000041 ),
    .I3(\blk00000001/sig00000042 ),
    .I4(\blk00000001/sig00000048 ),
    .I5(\blk00000001/sig00000043 ),
    .O(\blk00000001/sig0000002d )
  );
  LUT6 #(
    .INIT ( 64'h6AAAAAAAAAAAAAAA ))
  \blk00000001/blk000000e1  (
    .I0(\blk00000001/sig0000001f ),
    .I1(\blk00000001/sig00000022 ),
    .I2(\blk00000001/sig00000024 ),
    .I3(\blk00000001/sig00000023 ),
    .I4(\blk00000001/sig00000020 ),
    .I5(\blk00000001/sig00000021 ),
    .O(\blk00000001/sig00000031 )
  );
  LUT3 #(
    .INIT ( 8'hA6 ))
  \blk00000001/blk000000e0  (
    .I0(\blk00000001/sig00000049 ),
    .I1(\blk00000001/sig00000048 ),
    .I2(\blk00000001/sig00000083 ),
    .O(\blk00000001/sig00000029 )
  );
  LUT4 #(
    .INIT ( 16'h5666 ))
  \blk00000001/blk000000df  (
    .I0(\blk00000001/sig0000001a ),
    .I1(\blk00000001/sig00000083 ),
    .I2(\blk00000001/sig00000049 ),
    .I3(\blk00000001/sig00000048 ),
    .O(\blk00000001/sig00000028 )
  );
  LUT5 #(
    .INIT ( 32'h5666AAAA ))
  \blk00000001/blk000000de  (
    .I0(\blk00000001/sig00000019 ),
    .I1(\blk00000001/sig00000083 ),
    .I2(\blk00000001/sig00000049 ),
    .I3(\blk00000001/sig00000048 ),
    .I4(\blk00000001/sig0000001a ),
    .O(\blk00000001/sig00000027 )
  );
  LUT3 #(
    .INIT ( 8'h40 ))
  \blk00000001/blk000000dd  (
    .I0(\blk00000001/sig00000038 ),
    .I1(\blk00000001/sig000000a4 ),
    .I2(aresetn),
    .O(\blk00000001/sig000000c2 )
  );
  LUT4 #(
    .INIT ( 16'hAA2A ))
  \blk00000001/blk000000dc  (
    .I0(\blk00000001/sig0000004f ),
    .I1(\blk00000001/sig0000009d ),
    .I2(\blk00000001/sig0000004e ),
    .I3(\blk00000001/sig00000038 ),
    .O(\blk00000001/sig000000bf )
  );
  LUT2 #(
    .INIT ( 4'h1 ))
  \blk00000001/blk000000db  (
    .I0(\blk00000001/sig00000053 ),
    .I1(\blk00000001/sig00000052 ),
    .O(\blk00000001/sig000000bc )
  );
  LUT5 #(
    .INIT ( 32'hFA2A2A2A ))
  \blk00000001/blk000000da  (
    .I0(\blk00000001/sig0000004c ),
    .I1(\blk00000001/sig0000004e ),
    .I2(\blk00000001/sig0000009d ),
    .I3(\blk00000001/sig0000009e ),
    .I4(\blk00000001/sig0000001c ),
    .O(\blk00000001/sig000000be )
  );
  LUT5 #(
    .INIT ( 32'hFA8A8A8A ))
  \blk00000001/blk000000d9  (
    .I0(\blk00000001/sig00000082 ),
    .I1(\blk00000001/sig0000004f ),
    .I2(\blk00000001/sig0000009d ),
    .I3(\blk00000001/sig0000009e ),
    .I4(\blk00000001/sig0000001c ),
    .O(\blk00000001/sig000000bd )
  );
  LUT4 #(
    .INIT ( 16'h696C ))
  \blk00000001/blk000000d8  (
    .I0(\blk00000001/sig00000083 ),
    .I1(\blk00000001/sig00000042 ),
    .I2(\blk00000001/sig00000041 ),
    .I3(\blk00000001/sig00000048 ),
    .O(\blk00000001/sig0000002f )
  );
  LUT5 #(
    .INIT ( 32'h51114000 ))
  \blk00000001/blk000000d7  (
    .I0(\blk00000001/sig00000038 ),
    .I1(\blk00000001/sig0000009d ),
    .I2(\blk00000001/sig0000001c ),
    .I3(\blk00000001/sig0000009e ),
    .I4(\blk00000001/sig00000083 ),
    .O(\blk00000001/sig000000c1 )
  );
  LUT4 #(
    .INIT ( 16'h7520 ))
  \blk00000001/blk000000d6  (
    .I0(\blk00000001/sig0000009d ),
    .I1(\blk00000001/sig00000053 ),
    .I2(\blk00000001/sig00000052 ),
    .I3(\blk00000001/sig0000003e ),
    .O(\blk00000001/sig000000c0 )
  );
  LUT6 #(
    .INIT ( 64'h00001000CCCCDCCC ))
  \blk00000001/blk000000d5  (
    .I0(\blk00000001/sig000000c4 ),
    .I1(\blk00000001/sig0000001c ),
    .I2(\blk00000001/sig00000020 ),
    .I3(\blk00000001/sig0000001e ),
    .I4(\blk00000001/sig000000bb ),
    .I5(\blk00000001/sig0000009e ),
    .O(\blk00000001/sig00000016 )
  );
  LUT6 #(
    .INIT ( 64'h00400040FFFF0040 ))
  \blk00000001/blk000000d4  (
    .I0(\blk00000001/sig000000c4 ),
    .I1(\blk00000001/sig00000020 ),
    .I2(\blk00000001/sig0000001e ),
    .I3(\blk00000001/sig000000bb ),
    .I4(\blk00000001/sig0000004f ),
    .I5(\blk00000001/sig0000004e ),
    .O(\blk00000001/sig00000039 )
  );
  LUT3 #(
    .INIT ( 8'hF7 ))
  \blk00000001/blk000000d3  (
    .I0(\blk00000001/sig00000021 ),
    .I1(\blk00000001/sig00000023 ),
    .I2(\blk00000001/sig00000024 ),
    .O(\blk00000001/sig000000c4 )
  );
  LUT5 #(
    .INIT ( 32'h77777FFF ))
  \blk00000001/blk000000d2  (
    .I0(\blk00000001/sig00000019 ),
    .I1(\blk00000001/sig0000001a ),
    .I2(\blk00000001/sig00000049 ),
    .I3(\blk00000001/sig00000048 ),
    .I4(\blk00000001/sig00000083 ),
    .O(\blk00000001/sig00000011 )
  );
  LUT4 #(
    .INIT ( 16'hA956 ))
  \blk00000001/blk000000d1  (
    .I0(\blk00000001/sig00000047 ),
    .I1(\blk00000001/sig00000044 ),
    .I2(\blk00000001/sig00000043 ),
    .I3(\blk00000001/sig00000083 ),
    .O(\blk00000001/sig000000c3 )
  );
  LUT4 #(
    .INIT ( 16'h88EF ))
  \blk00000001/blk000000d0  (
    .I0(\blk00000001/sig00000042 ),
    .I1(\blk00000001/sig00000041 ),
    .I2(\blk00000001/sig00000048 ),
    .I3(\blk00000001/sig00000083 ),
    .O(\blk00000001/sig00000013 )
  );
  FD #(
    .INIT ( 1'b0 ))
  \blk00000001/blk000000cf  (
    .C(aclk),
    .D(\blk00000001/sig000000c2 ),
    .Q(NlwRenamedSig_OI_s_axis_data_tready)
  );
  FD #(
    .INIT ( 1'b0 ))
  \blk00000001/blk000000ce  (
    .C(aclk),
    .D(\blk00000001/sig000000c1 ),
    .Q(\blk00000001/sig00000083 )
  );
  FD #(
    .INIT ( 1'b0 ))
  \blk00000001/blk000000cd  (
    .C(aclk),
    .D(\blk00000001/sig000000c0 ),
    .Q(\blk00000001/sig0000003e )
  );
  FDS #(
    .INIT ( 1'b1 ))
  \blk00000001/blk000000cc  (
    .C(aclk),
    .D(\blk00000001/sig000000bf ),
    .S(\blk00000001/sig00000038 ),
    .Q(\blk00000001/sig0000004f )
  );
  FDR #(
    .INIT ( 1'b0 ))
  \blk00000001/blk000000cb  (
    .C(aclk),
    .D(\blk00000001/sig000000be ),
    .R(\blk00000001/sig00000038 ),
    .Q(\blk00000001/sig0000004c )
  );
  FDR #(
    .INIT ( 1'b0 ))
  \blk00000001/blk000000ca  (
    .C(aclk),
    .D(\blk00000001/sig000000bd ),
    .R(\blk00000001/sig00000038 ),
    .Q(\blk00000001/sig00000082 )
  );
  FDE #(
    .INIT ( 1'b1 ))
  \blk00000001/blk000000c9  (
    .C(aclk),
    .CE(\blk00000001/sig0000009d ),
    .D(\blk00000001/sig000000bc ),
    .Q(\blk00000001/sig0000003d )
  );
  LUT6 #(
    .INIT ( 64'h0000000000008000 ))
  \blk00000001/blk000000c8  (
    .I0(\blk00000001/sig00000020 ),
    .I1(\blk00000001/sig00000021 ),
    .I2(\blk00000001/sig00000023 ),
    .I3(\blk00000001/sig0000001e ),
    .I4(\blk00000001/sig00000024 ),
    .I5(\blk00000001/sig000000bb ),
    .O(\blk00000001/sig0000001d )
  );
  LUT2 #(
    .INIT ( 4'hE ))
  \blk00000001/blk000000c7  (
    .I0(\blk00000001/sig00000022 ),
    .I1(\blk00000001/sig0000001f ),
    .O(\blk00000001/sig000000bb )
  );
  LUT2 #(
    .INIT ( 4'h6 ))
  \blk00000001/blk000000c6  (
    .I0(\blk00000001/sig000000b3 ),
    .I1(\blk00000001/sig000000b4 ),
    .O(\blk00000001/sig000000b7 )
  );
  LUT2 #(
    .INIT ( 4'h8 ))
  \blk00000001/blk000000c5  (
    .I0(\blk00000001/sig00000050 ),
    .I1(\blk00000001/sig0000009d ),
    .O(\blk00000001/sig000000b9 )
  );
  LUT4 #(
    .INIT ( 16'h6AAA ))
  \blk00000001/blk000000c4  (
    .I0(\blk00000001/sig00000050 ),
    .I1(\blk00000001/sig000000b4 ),
    .I2(\blk00000001/sig000000b3 ),
    .I3(\blk00000001/sig000000b2 ),
    .O(\blk00000001/sig000000b5 )
  );
  LUT3 #(
    .INIT ( 8'h6A ))
  \blk00000001/blk000000c3  (
    .I0(\blk00000001/sig000000b2 ),
    .I1(\blk00000001/sig000000b4 ),
    .I2(\blk00000001/sig000000b3 ),
    .O(\blk00000001/sig000000b6 )
  );
  LUT2 #(
    .INIT ( 4'h8 ))
  \blk00000001/blk000000c2  (
    .I0(\blk00000001/sig0000005e ),
    .I1(\blk00000001/sig0000009d ),
    .O(\blk00000001/sig000000ac )
  );
  LUT2 #(
    .INIT ( 4'h8 ))
  \blk00000001/blk000000c1  (
    .I0(\blk00000001/sig00000061 ),
    .I1(\blk00000001/sig0000009d ),
    .O(\blk00000001/sig000000ab )
  );
  LUT3 #(
    .INIT ( 8'h40 ))
  \blk00000001/blk000000c0  (
    .I0(\blk00000001/sig00000038 ),
    .I1(NlwRenamedSig_OI_s_axis_data_tready),
    .I2(s_axis_data_tvalid),
    .O(\blk00000001/sig000000a2 )
  );
  LUT2 #(
    .INIT ( 4'h8 ))
  \blk00000001/blk000000bf  (
    .I0(\blk00000001/sig0000001c ),
    .I1(\blk00000001/sig0000009d ),
    .O(\blk00000001/sig0000003b )
  );
  LUT3 #(
    .INIT ( 8'h40 ))
  \blk00000001/blk000000be  (
    .I0(\blk00000001/sig00000050 ),
    .I1(\blk00000001/sig00000051 ),
    .I2(\blk00000001/sig0000009d ),
    .O(\blk00000001/sig0000003a )
  );
  LUT2 #(
    .INIT ( 4'h6 ))
  \blk00000001/blk000000bd  (
    .I0(\blk00000001/sig00000023 ),
    .I1(\blk00000001/sig00000024 ),
    .O(\blk00000001/sig00000035 )
  );
  LUT2 #(
    .INIT ( 4'h9 ))
  \blk00000001/blk000000bc  (
    .I0(\blk00000001/sig00000048 ),
    .I1(\blk00000001/sig00000083 ),
    .O(\blk00000001/sig0000002a )
  );
  LUT4 #(
    .INIT ( 16'hF8F0 ))
  \blk00000001/blk000000bb  (
    .I0(\blk00000001/sig0000004c ),
    .I1(\blk00000001/sig0000004e ),
    .I2(\blk00000001/sig00000038 ),
    .I3(\blk00000001/sig0000009d ),
    .O(\blk00000001/sig00000037 )
  );
  LUT3 #(
    .INIT ( 8'h7F ))
  \blk00000001/blk000000ba  (
    .I0(\blk00000001/sig00000022 ),
    .I1(\blk00000001/sig00000024 ),
    .I2(\blk00000001/sig00000023 ),
    .O(\blk00000001/sig00000012 )
  );
  LUT5 #(
    .INIT ( 32'h51114000 ))
  \blk00000001/blk000000b9  (
    .I0(\blk00000001/sig00000038 ),
    .I1(\blk00000001/sig0000009d ),
    .I2(\blk00000001/sig0000009f ),
    .I3(\blk00000001/sig00000083 ),
    .I4(\blk00000001/sig0000003f ),
    .O(\blk00000001/sig00000015 )
  );
  LUT5 #(
    .INIT ( 32'h51114000 ))
  \blk00000001/blk000000b8  (
    .I0(\blk00000001/sig00000038 ),
    .I1(\blk00000001/sig0000009d ),
    .I2(\blk00000001/sig000000a0 ),
    .I3(\blk00000001/sig00000083 ),
    .I4(\blk00000001/sig00000040 ),
    .O(\blk00000001/sig00000014 )
  );
  LUT3 #(
    .INIT ( 8'h6A ))
  \blk00000001/blk000000b7  (
    .I0(\blk00000001/sig00000022 ),
    .I1(\blk00000001/sig00000024 ),
    .I2(\blk00000001/sig00000023 ),
    .O(\blk00000001/sig00000034 )
  );
  FDRE #(
    .INIT ( 1'b0 ))
  \blk00000001/blk000000b6  (
    .C(aclk),
    .CE(\blk00000001/sig0000009d ),
    .D(\blk00000001/sig000000ba ),
    .R(\blk00000001/sig00000038 ),
    .Q(\blk00000001/sig00000051 )
  );
  FDRE #(
    .INIT ( 1'b0 ))
  \blk00000001/blk000000b5  (
    .C(aclk),
    .CE(\blk00000001/sig000000b9 ),
    .D(\blk00000001/sig000000b7 ),
    .R(\blk00000001/sig00000038 ),
    .Q(\blk00000001/sig000000b3 )
  );
  FDRE #(
    .INIT ( 1'b0 ))
  \blk00000001/blk000000b4  (
    .C(aclk),
    .CE(\blk00000001/sig000000b9 ),
    .D(\blk00000001/sig000000b8 ),
    .R(\blk00000001/sig00000038 ),
    .Q(\blk00000001/sig000000b4 )
  );
  FDRE #(
    .INIT ( 1'b0 ))
  \blk00000001/blk000000b3  (
    .C(aclk),
    .CE(\blk00000001/sig000000b9 ),
    .D(\blk00000001/sig000000b6 ),
    .R(\blk00000001/sig00000038 ),
    .Q(\blk00000001/sig000000b2 )
  );
  FDSE #(
    .INIT ( 1'b1 ))
  \blk00000001/blk000000b2  (
    .C(aclk),
    .CE(\blk00000001/sig000000b9 ),
    .D(\blk00000001/sig000000b5 ),
    .S(\blk00000001/sig00000038 ),
    .Q(\blk00000001/sig00000050 )
  );
  FDRE #(
    .INIT ( 1'b0 ))
  \blk00000001/blk000000b1  (
    .C(aclk),
    .CE(\blk00000001/sig0000009d ),
    .D(\blk00000001/sig000000b1 ),
    .R(\blk00000001/sig00000038 ),
    .Q(\blk00000001/sig00000053 )
  );
  FDRE #(
    .INIT ( 1'b0 ))
  \blk00000001/blk000000b0  (
    .C(aclk),
    .CE(\blk00000001/sig0000009d ),
    .D(\blk00000001/sig000000b0 ),
    .R(\blk00000001/sig00000038 ),
    .Q(\blk00000001/sig00000052 )
  );
  DSP48A1 #(
    .A0REG ( 0 ),
    .A1REG ( 1 ),
    .B0REG ( 1 ),
    .B1REG ( 1 ),
    .CARRYINREG ( 0 ),
    .CARRYINSEL ( "OPMODE5" ),
    .CARRYOUTREG ( 0 ),
    .CREG ( 1 ),
    .DREG ( 1 ),
    .MREG ( 1 ),
    .OPMODEREG ( 1 ),
    .PREG ( 1 ),
    .RSTTYPE ( "SYNC" ))
  \blk00000001/blk000000af  (
    .CECARRYIN(\blk00000001/sig0000009d ),
    .RSTC(\blk00000001/sig000000ae ),
    .RSTCARRYIN(\blk00000001/sig000000ae ),
    .CED(\blk00000001/sig0000009d ),
    .RSTD(\blk00000001/sig000000ae ),
    .CEOPMODE(\blk00000001/sig0000009d ),
    .CEC(\blk00000001/sig0000009d ),
    .CARRYOUTF(\NLW_blk00000001/blk000000af_CARRYOUTF_UNCONNECTED ),
    .RSTOPMODE(\blk00000001/sig000000ae ),
    .RSTM(\blk00000001/sig000000ae ),
    .CLK(aclk),
    .RSTB(\blk00000001/sig000000ae ),
    .CEM(\blk00000001/sig0000009d ),
    .CEB(\blk00000001/sig0000009d ),
    .CARRYIN(\blk00000001/sig000000ae ),
    .CEP(\blk00000001/sig0000009d ),
    .CEA(\blk00000001/sig0000009d ),
    .CARRYOUT(\NLW_blk00000001/blk000000af_CARRYOUT_UNCONNECTED ),
    .RSTA(\blk00000001/sig000000ae ),
    .RSTP(\blk00000001/sig00000038 ),
    .B({\blk00000001/sig0000007b , \blk00000001/sig0000007b , \blk00000001/sig0000007b , \blk00000001/sig0000007b , \blk00000001/sig0000007b , 
\blk00000001/sig0000007b , \blk00000001/sig0000007b , \blk00000001/sig0000007b , \blk00000001/sig0000007b , \blk00000001/sig0000007b , 
\blk00000001/sig0000007b , \blk00000001/sig0000007b , \blk00000001/sig0000007b , \blk00000001/sig0000007b , \blk00000001/sig0000007b , 
\blk00000001/sig0000007b , \blk00000001/sig0000007b , \blk00000001/sig0000007a }),
    .BCOUT({\NLW_blk00000001/blk000000af_BCOUT<17>_UNCONNECTED , \NLW_blk00000001/blk000000af_BCOUT<16>_UNCONNECTED , 
\NLW_blk00000001/blk000000af_BCOUT<15>_UNCONNECTED , \NLW_blk00000001/blk000000af_BCOUT<14>_UNCONNECTED , 
\NLW_blk00000001/blk000000af_BCOUT<13>_UNCONNECTED , \NLW_blk00000001/blk000000af_BCOUT<12>_UNCONNECTED , 
\NLW_blk00000001/blk000000af_BCOUT<11>_UNCONNECTED , \NLW_blk00000001/blk000000af_BCOUT<10>_UNCONNECTED , 
\NLW_blk00000001/blk000000af_BCOUT<9>_UNCONNECTED , \NLW_blk00000001/blk000000af_BCOUT<8>_UNCONNECTED , 
\NLW_blk00000001/blk000000af_BCOUT<7>_UNCONNECTED , \NLW_blk00000001/blk000000af_BCOUT<6>_UNCONNECTED , 
\NLW_blk00000001/blk000000af_BCOUT<5>_UNCONNECTED , \NLW_blk00000001/blk000000af_BCOUT<4>_UNCONNECTED , 
\NLW_blk00000001/blk000000af_BCOUT<3>_UNCONNECTED , \NLW_blk00000001/blk000000af_BCOUT<2>_UNCONNECTED , 
\NLW_blk00000001/blk000000af_BCOUT<1>_UNCONNECTED , \NLW_blk00000001/blk000000af_BCOUT<0>_UNCONNECTED }),
    .PCIN({\blk00000001/sig000000ae , \blk00000001/sig000000ae , \blk00000001/sig000000ae , \blk00000001/sig000000ae , \blk00000001/sig000000ae , 
\blk00000001/sig000000ae , \blk00000001/sig000000ae , \blk00000001/sig000000ae , \blk00000001/sig000000ae , \blk00000001/sig000000ae , 
\blk00000001/sig000000ae , \blk00000001/sig000000ae , \blk00000001/sig000000ae , \blk00000001/sig000000ae , \blk00000001/sig000000ae , 
\blk00000001/sig000000ae , \blk00000001/sig000000ae , \blk00000001/sig000000ae , \blk00000001/sig000000ae , \blk00000001/sig000000ae , 
\blk00000001/sig000000ae , \blk00000001/sig000000ae , \blk00000001/sig000000ae , \blk00000001/sig000000ae , \blk00000001/sig000000ae , 
\blk00000001/sig000000ae , \blk00000001/sig000000ae , \blk00000001/sig000000ae , \blk00000001/sig000000ae , \blk00000001/sig000000ae , 
\blk00000001/sig000000ae , \blk00000001/sig000000ae , \blk00000001/sig000000ae , \blk00000001/sig000000ae , \blk00000001/sig000000ae , 
\blk00000001/sig000000ae , \blk00000001/sig000000ae , \blk00000001/sig000000ae , \blk00000001/sig000000ae , \blk00000001/sig000000ae , 
\blk00000001/sig000000ae , \blk00000001/sig000000ae , \blk00000001/sig000000ae , \blk00000001/sig000000ae , \blk00000001/sig000000ae , 
\blk00000001/sig000000ae , \blk00000001/sig000000ae , \blk00000001/sig000000ae }),
    .C({\blk00000001/sig000000ae , \blk00000001/sig000000ae , \blk00000001/sig000000ae , \blk00000001/sig000000ae , \blk00000001/sig000000ae , 
\blk00000001/sig000000ae , \blk00000001/sig000000ae , \blk00000001/sig000000ae , \blk00000001/sig000000ae , \blk00000001/sig000000ae , 
\blk00000001/sig000000ae , \blk00000001/sig000000ae , \blk00000001/sig000000ae , \blk00000001/sig000000ae , \blk00000001/sig000000ae , 
\blk00000001/sig000000ae , \blk00000001/sig000000ae , \blk00000001/sig000000ae , \blk00000001/sig000000ae , \blk00000001/sig000000ae , 
\blk00000001/sig000000ae , \blk00000001/sig000000ae , \blk00000001/sig000000ae , \blk00000001/sig000000ae , \blk00000001/sig000000ae , 
\blk00000001/sig000000ae , \blk00000001/sig000000ae , \blk00000001/sig000000ae , \blk00000001/sig000000ae , \blk00000001/sig000000ae , 
\blk00000001/sig000000ae , \blk00000001/sig000000ae , \blk00000001/sig000000ae , \blk00000001/sig000000ae , \blk00000001/sig000000ae , 
\blk00000001/sig000000ae , \blk00000001/sig000000ae , \blk00000001/sig000000ae , \blk00000001/sig000000ae , \blk00000001/sig000000ae , 
\blk00000001/sig000000ae , \blk00000001/sig000000ae , \blk00000001/sig000000ae , \blk00000001/sig000000ae , \blk00000001/sig000000ae , 
\blk00000001/sig000000ae , \blk00000001/sig000000ae , \blk00000001/sig000000ae }),
    .P({\NLW_blk00000001/blk000000af_P<47>_UNCONNECTED , \NLW_blk00000001/blk000000af_P<46>_UNCONNECTED , 
\NLW_blk00000001/blk000000af_P<45>_UNCONNECTED , \NLW_blk00000001/blk000000af_P<44>_UNCONNECTED , \NLW_blk00000001/blk000000af_P<43>_UNCONNECTED , 
\NLW_blk00000001/blk000000af_P<42>_UNCONNECTED , \NLW_blk00000001/blk000000af_P<41>_UNCONNECTED , \NLW_blk00000001/blk000000af_P<40>_UNCONNECTED , 
\NLW_blk00000001/blk000000af_P<39>_UNCONNECTED , \NLW_blk00000001/blk000000af_P<38>_UNCONNECTED , \NLW_blk00000001/blk000000af_P<37>_UNCONNECTED , 
\NLW_blk00000001/blk000000af_P<36>_UNCONNECTED , \NLW_blk00000001/blk000000af_P<35>_UNCONNECTED , \NLW_blk00000001/blk000000af_P<34>_UNCONNECTED , 
\NLW_blk00000001/blk000000af_P<33>_UNCONNECTED , \NLW_blk00000001/blk000000af_P<32>_UNCONNECTED , \NLW_blk00000001/blk000000af_P<31>_UNCONNECTED , 
\NLW_blk00000001/blk000000af_P<30>_UNCONNECTED , \NLW_blk00000001/blk000000af_P<29>_UNCONNECTED , \NLW_blk00000001/blk000000af_P<28>_UNCONNECTED , 
\NLW_blk00000001/blk000000af_P<27>_UNCONNECTED , \NLW_blk00000001/blk000000af_P<26>_UNCONNECTED , \NLW_blk00000001/blk000000af_P<25>_UNCONNECTED , 
\NLW_blk00000001/blk000000af_P<24>_UNCONNECTED , \NLW_blk00000001/blk000000af_P<23>_UNCONNECTED , \NLW_blk00000001/blk000000af_P<22>_UNCONNECTED , 
\NLW_blk00000001/blk000000af_P<21>_UNCONNECTED , \NLW_blk00000001/blk000000af_P<20>_UNCONNECTED , \NLW_blk00000001/blk000000af_P<19>_UNCONNECTED , 
\NLW_blk00000001/blk000000af_P<18>_UNCONNECTED , \NLW_blk00000001/blk000000af_P<17>_UNCONNECTED , \NLW_blk00000001/blk000000af_P<16>_UNCONNECTED , 
\NLW_blk00000001/blk000000af_P<15>_UNCONNECTED , \blk00000001/sig0000005b , \blk00000001/sig0000005a , \blk00000001/sig00000059 , 
\blk00000001/sig00000058 , \blk00000001/sig00000057 , \blk00000001/sig00000056 , \blk00000001/sig00000055 , \blk00000001/sig00000054 , 
\NLW_blk00000001/blk000000af_P<6>_UNCONNECTED , \NLW_blk00000001/blk000000af_P<5>_UNCONNECTED , \NLW_blk00000001/blk000000af_P<4>_UNCONNECTED , 
\NLW_blk00000001/blk000000af_P<3>_UNCONNECTED , \NLW_blk00000001/blk000000af_P<2>_UNCONNECTED , \NLW_blk00000001/blk000000af_P<1>_UNCONNECTED , 
\NLW_blk00000001/blk000000af_P<0>_UNCONNECTED }),
    .OPMODE({\blk00000001/sig000000ae , \blk00000001/sig000000ae , \blk00000001/sig000000ae , \blk00000001/sig000000af , \blk00000001/sig0000003e , 
\blk00000001/sig000000ae , \blk00000001/sig0000003d , \blk00000001/sig0000003c }),
    .D({\blk00000001/sig0000007d , \blk00000001/sig0000007d , \blk00000001/sig0000007d , \blk00000001/sig0000007d , \blk00000001/sig0000007d , 
\blk00000001/sig0000007d , \blk00000001/sig0000007d , \blk00000001/sig0000007d , \blk00000001/sig0000007d , \blk00000001/sig0000007d , 
\blk00000001/sig0000007d , \blk00000001/sig0000007d , \blk00000001/sig0000007d , \blk00000001/sig0000007d , \blk00000001/sig0000007d , 
\blk00000001/sig0000007d , \blk00000001/sig0000007d , \blk00000001/sig0000007c }),
    .PCOUT({\NLW_blk00000001/blk000000af_PCOUT<47>_UNCONNECTED , \NLW_blk00000001/blk000000af_PCOUT<46>_UNCONNECTED , 
\NLW_blk00000001/blk000000af_PCOUT<45>_UNCONNECTED , \NLW_blk00000001/blk000000af_PCOUT<44>_UNCONNECTED , 
\NLW_blk00000001/blk000000af_PCOUT<43>_UNCONNECTED , \NLW_blk00000001/blk000000af_PCOUT<42>_UNCONNECTED , 
\NLW_blk00000001/blk000000af_PCOUT<41>_UNCONNECTED , \NLW_blk00000001/blk000000af_PCOUT<40>_UNCONNECTED , 
\NLW_blk00000001/blk000000af_PCOUT<39>_UNCONNECTED , \NLW_blk00000001/blk000000af_PCOUT<38>_UNCONNECTED , 
\NLW_blk00000001/blk000000af_PCOUT<37>_UNCONNECTED , \NLW_blk00000001/blk000000af_PCOUT<36>_UNCONNECTED , 
\NLW_blk00000001/blk000000af_PCOUT<35>_UNCONNECTED , \NLW_blk00000001/blk000000af_PCOUT<34>_UNCONNECTED , 
\NLW_blk00000001/blk000000af_PCOUT<33>_UNCONNECTED , \NLW_blk00000001/blk000000af_PCOUT<32>_UNCONNECTED , 
\NLW_blk00000001/blk000000af_PCOUT<31>_UNCONNECTED , \NLW_blk00000001/blk000000af_PCOUT<30>_UNCONNECTED , 
\NLW_blk00000001/blk000000af_PCOUT<29>_UNCONNECTED , \NLW_blk00000001/blk000000af_PCOUT<28>_UNCONNECTED , 
\NLW_blk00000001/blk000000af_PCOUT<27>_UNCONNECTED , \NLW_blk00000001/blk000000af_PCOUT<26>_UNCONNECTED , 
\NLW_blk00000001/blk000000af_PCOUT<25>_UNCONNECTED , \NLW_blk00000001/blk000000af_PCOUT<24>_UNCONNECTED , 
\NLW_blk00000001/blk000000af_PCOUT<23>_UNCONNECTED , \NLW_blk00000001/blk000000af_PCOUT<22>_UNCONNECTED , 
\NLW_blk00000001/blk000000af_PCOUT<21>_UNCONNECTED , \NLW_blk00000001/blk000000af_PCOUT<20>_UNCONNECTED , 
\NLW_blk00000001/blk000000af_PCOUT<19>_UNCONNECTED , \NLW_blk00000001/blk000000af_PCOUT<18>_UNCONNECTED , 
\NLW_blk00000001/blk000000af_PCOUT<17>_UNCONNECTED , \NLW_blk00000001/blk000000af_PCOUT<16>_UNCONNECTED , 
\NLW_blk00000001/blk000000af_PCOUT<15>_UNCONNECTED , \NLW_blk00000001/blk000000af_PCOUT<14>_UNCONNECTED , 
\NLW_blk00000001/blk000000af_PCOUT<13>_UNCONNECTED , \NLW_blk00000001/blk000000af_PCOUT<12>_UNCONNECTED , 
\NLW_blk00000001/blk000000af_PCOUT<11>_UNCONNECTED , \NLW_blk00000001/blk000000af_PCOUT<10>_UNCONNECTED , 
\NLW_blk00000001/blk000000af_PCOUT<9>_UNCONNECTED , \NLW_blk00000001/blk000000af_PCOUT<8>_UNCONNECTED , 
\NLW_blk00000001/blk000000af_PCOUT<7>_UNCONNECTED , \NLW_blk00000001/blk000000af_PCOUT<6>_UNCONNECTED , 
\NLW_blk00000001/blk000000af_PCOUT<5>_UNCONNECTED , \NLW_blk00000001/blk000000af_PCOUT<4>_UNCONNECTED , 
\NLW_blk00000001/blk000000af_PCOUT<3>_UNCONNECTED , \NLW_blk00000001/blk000000af_PCOUT<2>_UNCONNECTED , 
\NLW_blk00000001/blk000000af_PCOUT<1>_UNCONNECTED , \NLW_blk00000001/blk000000af_PCOUT<0>_UNCONNECTED }),
    .A({\blk00000001/sig00000079 , \blk00000001/sig00000079 , \blk00000001/sig00000079 , \blk00000001/sig00000079 , \blk00000001/sig00000079 , 
\blk00000001/sig00000079 , \blk00000001/sig00000079 , \blk00000001/sig00000079 , \blk00000001/sig00000079 , \blk00000001/sig00000079 , 
\blk00000001/sig00000079 , \blk00000001/sig00000078 , \blk00000001/sig00000077 , \blk00000001/sig00000076 , \blk00000001/sig00000075 , 
\blk00000001/sig00000074 , \blk00000001/sig00000073 , \blk00000001/sig00000072 }),
    .M({\NLW_blk00000001/blk000000af_M<35>_UNCONNECTED , \NLW_blk00000001/blk000000af_M<34>_UNCONNECTED , 
\NLW_blk00000001/blk000000af_M<33>_UNCONNECTED , \NLW_blk00000001/blk000000af_M<32>_UNCONNECTED , \NLW_blk00000001/blk000000af_M<31>_UNCONNECTED , 
\NLW_blk00000001/blk000000af_M<30>_UNCONNECTED , \NLW_blk00000001/blk000000af_M<29>_UNCONNECTED , \NLW_blk00000001/blk000000af_M<28>_UNCONNECTED , 
\NLW_blk00000001/blk000000af_M<27>_UNCONNECTED , \NLW_blk00000001/blk000000af_M<26>_UNCONNECTED , \NLW_blk00000001/blk000000af_M<25>_UNCONNECTED , 
\NLW_blk00000001/blk000000af_M<24>_UNCONNECTED , \NLW_blk00000001/blk000000af_M<23>_UNCONNECTED , \NLW_blk00000001/blk000000af_M<22>_UNCONNECTED , 
\NLW_blk00000001/blk000000af_M<21>_UNCONNECTED , \NLW_blk00000001/blk000000af_M<20>_UNCONNECTED , \NLW_blk00000001/blk000000af_M<19>_UNCONNECTED , 
\NLW_blk00000001/blk000000af_M<18>_UNCONNECTED , \NLW_blk00000001/blk000000af_M<17>_UNCONNECTED , \NLW_blk00000001/blk000000af_M<16>_UNCONNECTED , 
\NLW_blk00000001/blk000000af_M<15>_UNCONNECTED , \NLW_blk00000001/blk000000af_M<14>_UNCONNECTED , \NLW_blk00000001/blk000000af_M<13>_UNCONNECTED , 
\NLW_blk00000001/blk000000af_M<12>_UNCONNECTED , \NLW_blk00000001/blk000000af_M<11>_UNCONNECTED , \NLW_blk00000001/blk000000af_M<10>_UNCONNECTED , 
\NLW_blk00000001/blk000000af_M<9>_UNCONNECTED , \NLW_blk00000001/blk000000af_M<8>_UNCONNECTED , \NLW_blk00000001/blk000000af_M<7>_UNCONNECTED , 
\NLW_blk00000001/blk000000af_M<6>_UNCONNECTED , \NLW_blk00000001/blk000000af_M<5>_UNCONNECTED , \NLW_blk00000001/blk000000af_M<4>_UNCONNECTED , 
\NLW_blk00000001/blk000000af_M<3>_UNCONNECTED , \NLW_blk00000001/blk000000af_M<2>_UNCONNECTED , \NLW_blk00000001/blk000000af_M<1>_UNCONNECTED , 
\NLW_blk00000001/blk000000af_M<0>_UNCONNECTED })
  );
  FDRE #(
    .INIT ( 1'b0 ))
  \blk00000001/blk000000ae  (
    .C(aclk),
    .CE(\blk00000001/sig000000ac ),
    .D(\blk00000001/sig0000007c ),
    .R(\blk00000001/sig000000ab ),
    .Q(\blk00000001/sig0000005c )
  );
  FDRE #(
    .INIT ( 1'b0 ))
  \blk00000001/blk000000ad  (
    .C(aclk),
    .CE(\blk00000001/sig000000ac ),
    .D(\blk00000001/sig0000007d ),
    .R(\blk00000001/sig000000ab ),
    .Q(\blk00000001/sig0000005d )
  );
  FDRE #(
    .INIT ( 1'b0 ))
  \blk00000001/blk00000084  (
    .C(aclk),
    .CE(\blk00000001/sig0000009d ),
    .D(\blk00000001/sig0000005e ),
    .R(\blk00000001/sig00000038 ),
    .Q(\blk00000001/sig000000ad )
  );
  FDRE #(
    .INIT ( 1'b0 ))
  \blk00000001/blk00000083  (
    .C(aclk),
    .CE(\blk00000001/sig0000009d ),
    .D(\blk00000001/sig00000082 ),
    .R(\blk00000001/sig00000038 ),
    .Q(\blk00000001/sig000000a8 )
  );
  FDRE #(
    .INIT ( 1'b0 ))
  \blk00000001/blk00000082  (
    .C(aclk),
    .CE(\blk00000001/sig0000009d ),
    .D(\blk00000001/sig000000a8 ),
    .R(\blk00000001/sig00000038 ),
    .Q(\blk00000001/sig00000060 )
  );
  FDRE #(
    .INIT ( 1'b0 ))
  \blk00000001/blk00000081  (
    .C(aclk),
    .CE(\blk00000001/sig0000009d ),
    .D(\blk00000001/sig0000004d ),
    .R(\blk00000001/sig00000038 ),
    .Q(\blk00000001/sig000000a7 )
  );
  FDRE #(
    .INIT ( 1'b0 ))
  \blk00000001/blk00000080  (
    .C(aclk),
    .CE(\blk00000001/sig0000009d ),
    .D(\blk00000001/sig000000a7 ),
    .R(\blk00000001/sig00000038 ),
    .Q(\blk00000001/sig0000005f )
  );
  FDRE #(
    .INIT ( 1'b0 ))
  \blk00000001/blk0000007f  (
    .C(aclk),
    .CE(\blk00000001/sig0000009d ),
    .D(\blk00000001/sig0000004e ),
    .R(\blk00000001/sig00000038 ),
    .Q(\blk00000001/sig000000aa )
  );
  FDRE #(
    .INIT ( 1'b0 ))
  \blk00000001/blk0000007e  (
    .C(aclk),
    .CE(\blk00000001/sig0000009d ),
    .D(\blk00000001/sig000000aa ),
    .R(\blk00000001/sig00000038 ),
    .Q(\blk00000001/sig000000a9 )
  );
  FDRE #(
    .INIT ( 1'b0 ))
  \blk00000001/blk0000007d  (
    .C(aclk),
    .CE(\blk00000001/sig0000009d ),
    .D(\blk00000001/sig000000a9 ),
    .R(\blk00000001/sig00000038 ),
    .Q(\blk00000001/sig0000005e )
  );
  FDRE #(
    .INIT ( 1'b0 ))
  \blk00000001/blk0000007c  (
    .C(aclk),
    .CE(\blk00000001/sig0000009d ),
    .D(\blk00000001/sig00000048 ),
    .R(\blk00000001/sig00000038 ),
    .Q(\blk00000001/sig0000006a )
  );
  FDRE #(
    .INIT ( 1'b0 ))
  \blk00000001/blk0000007b  (
    .C(aclk),
    .CE(\blk00000001/sig0000009d ),
    .D(\blk00000001/sig00000049 ),
    .R(\blk00000001/sig00000038 ),
    .Q(\blk00000001/sig0000006b )
  );
  FDRE #(
    .INIT ( 1'b0 ))
  \blk00000001/blk0000007a  (
    .C(aclk),
    .CE(\blk00000001/sig0000009d ),
    .D(\blk00000001/sig0000001a ),
    .R(\blk00000001/sig00000038 ),
    .Q(\blk00000001/sig0000006c )
  );
  FDRE #(
    .INIT ( 1'b0 ))
  \blk00000001/blk00000079  (
    .C(aclk),
    .CE(\blk00000001/sig0000009d ),
    .D(\blk00000001/sig00000019 ),
    .R(\blk00000001/sig00000038 ),
    .Q(\blk00000001/sig0000006d )
  );
  FDRE #(
    .INIT ( 1'b0 ))
  \blk00000001/blk00000078  (
    .C(aclk),
    .CE(\blk00000001/sig0000009d ),
    .D(\blk00000001/sig00000018 ),
    .R(\blk00000001/sig00000038 ),
    .Q(\blk00000001/sig0000006e )
  );
  FDRE #(
    .INIT ( 1'b0 ))
  \blk00000001/blk00000077  (
    .C(aclk),
    .CE(\blk00000001/sig0000009d ),
    .D(\blk00000001/sig0000004a ),
    .R(\blk00000001/sig00000038 ),
    .Q(\blk00000001/sig0000006f )
  );
  FDRE #(
    .INIT ( 1'b0 ))
  \blk00000001/blk00000076  (
    .C(aclk),
    .CE(\blk00000001/sig0000009d ),
    .D(\blk00000001/sig00000017 ),
    .R(\blk00000001/sig00000038 ),
    .Q(\blk00000001/sig00000070 )
  );
  FDRE #(
    .INIT ( 1'b0 ))
  \blk00000001/blk00000075  (
    .C(aclk),
    .CE(\blk00000001/sig0000009d ),
    .D(\blk00000001/sig0000004b ),
    .R(\blk00000001/sig00000038 ),
    .Q(\blk00000001/sig00000071 )
  );
  FDRE #(
    .INIT ( 1'b0 ))
  \blk00000001/blk00000074  (
    .C(aclk),
    .CE(\blk00000001/sig0000009d ),
    .D(\blk00000001/sig0000001b ),
    .R(\blk00000001/sig00000038 ),
    .Q(\blk00000001/sig00000062 )
  );
  FDRE #(
    .INIT ( 1'b0 ))
  \blk00000001/blk00000073  (
    .C(aclk),
    .CE(\blk00000001/sig0000009d ),
    .D(\blk00000001/sig00000041 ),
    .R(\blk00000001/sig00000038 ),
    .Q(\blk00000001/sig00000063 )
  );
  FDRE #(
    .INIT ( 1'b0 ))
  \blk00000001/blk00000072  (
    .C(aclk),
    .CE(\blk00000001/sig0000009d ),
    .D(\blk00000001/sig00000042 ),
    .R(\blk00000001/sig00000038 ),
    .Q(\blk00000001/sig00000064 )
  );
  FDRE #(
    .INIT ( 1'b0 ))
  \blk00000001/blk00000071  (
    .C(aclk),
    .CE(\blk00000001/sig0000009d ),
    .D(\blk00000001/sig00000043 ),
    .R(\blk00000001/sig00000038 ),
    .Q(\blk00000001/sig00000065 )
  );
  FDRE #(
    .INIT ( 1'b0 ))
  \blk00000001/blk00000070  (
    .C(aclk),
    .CE(\blk00000001/sig0000009d ),
    .D(\blk00000001/sig00000044 ),
    .R(\blk00000001/sig00000038 ),
    .Q(\blk00000001/sig00000066 )
  );
  FDRE #(
    .INIT ( 1'b0 ))
  \blk00000001/blk0000006f  (
    .C(aclk),
    .CE(\blk00000001/sig0000009d ),
    .D(\blk00000001/sig00000045 ),
    .R(\blk00000001/sig00000038 ),
    .Q(\blk00000001/sig00000067 )
  );
  FDRE #(
    .INIT ( 1'b0 ))
  \blk00000001/blk0000006e  (
    .C(aclk),
    .CE(\blk00000001/sig0000009d ),
    .D(\blk00000001/sig00000046 ),
    .R(\blk00000001/sig00000038 ),
    .Q(\blk00000001/sig00000068 )
  );
  FDRE #(
    .INIT ( 1'b0 ))
  \blk00000001/blk0000006d  (
    .C(aclk),
    .CE(\blk00000001/sig0000009d ),
    .D(\blk00000001/sig00000047 ),
    .R(\blk00000001/sig00000038 ),
    .Q(\blk00000001/sig00000069 )
  );
  FDE #(
    .INIT ( 1'b0 ))
  \blk00000001/blk0000006c  (
    .C(aclk),
    .CE(\blk00000001/sig0000009d ),
    .D(\blk00000001/sig0000003f ),
    .Q(\blk00000001/sig0000009b )
  );
  FDE #(
    .INIT ( 1'b0 ))
  \blk00000001/blk0000006b  (
    .C(aclk),
    .CE(\blk00000001/sig0000009d ),
    .D(\blk00000001/sig00000040 ),
    .Q(\blk00000001/sig0000009c )
  );
  FD #(
    .INIT ( 1'b0 ))
  \blk00000001/blk00000022  (
    .C(aclk),
    .D(s_axis_data_tdata[0]),
    .Q(\blk00000001/sig000000a5 )
  );
  FD #(
    .INIT ( 1'b0 ))
  \blk00000001/blk00000021  (
    .C(aclk),
    .D(s_axis_data_tdata[1]),
    .Q(\blk00000001/sig000000a6 )
  );
  FD #(
    .INIT ( 1'b0 ))
  \blk00000001/blk00000020  (
    .C(aclk),
    .D(\blk00000001/sig000000a2 ),
    .Q(\blk00000001/sig000000a3 )
  );
  FD #(
    .INIT ( 1'b0 ))
  \blk00000001/blk0000001f  (
    .C(aclk),
    .D(\blk00000001/sig000000a1 ),
    .Q(\blk00000001/sig00000038 )
  );
  FDSE #(
    .INIT ( 1'b1 ))
  \blk00000001/blk0000001e  (
    .C(aclk),
    .CE(\blk00000001/sig0000009d ),
    .D(\blk00000001/sig00000039 ),
    .S(\blk00000001/sig00000038 ),
    .Q(\blk00000001/sig0000004d )
  );
  FDRE #(
    .INIT ( 1'b0 ))
  \blk00000001/blk0000001d  (
    .C(aclk),
    .CE(\blk00000001/sig0000009d ),
    .D(\blk00000001/sig0000001d ),
    .R(\blk00000001/sig00000038 ),
    .Q(\blk00000001/sig0000004e )
  );
  FDSE #(
    .INIT ( 1'b1 ))
  \blk00000001/blk0000001c  (
    .C(aclk),
    .CE(\blk00000001/sig0000009d ),
    .D(\blk00000001/sig00000016 ),
    .S(\blk00000001/sig00000038 ),
    .Q(\blk00000001/sig0000001c )
  );
  FDRE #(
    .INIT ( 1'b0 ))
  \blk00000001/blk0000001b  (
    .C(aclk),
    .CE(\blk00000001/sig0000009d ),
    .D(\blk00000001/sig0000004f ),
    .R(\blk00000001/sig00000038 ),
    .Q(\blk00000001/sig00000061 )
  );
  FDRE #(
    .INIT ( 1'b0 ))
  \blk00000001/blk0000001a  (
    .C(aclk),
    .CE(\blk00000001/sig0000009d ),
    .D(\blk00000001/sig000000d4 ),
    .R(\blk00000001/sig00000037 ),
    .Q(\blk00000001/sig00000024 )
  );
  FDRE #(
    .INIT ( 1'b0 ))
  \blk00000001/blk00000019  (
    .C(aclk),
    .CE(\blk00000001/sig0000009d ),
    .D(\blk00000001/sig000000d5 ),
    .R(\blk00000001/sig00000037 ),
    .Q(\blk00000001/sig00000023 )
  );
  FDRE #(
    .INIT ( 1'b0 ))
  \blk00000001/blk00000018  (
    .C(aclk),
    .CE(\blk00000001/sig0000009d ),
    .D(\blk00000001/sig000000d6 ),
    .R(\blk00000001/sig00000037 ),
    .Q(\blk00000001/sig00000022 )
  );
  FDRE #(
    .INIT ( 1'b0 ))
  \blk00000001/blk00000017  (
    .C(aclk),
    .CE(\blk00000001/sig0000009d ),
    .D(\blk00000001/sig000000d7 ),
    .R(\blk00000001/sig00000037 ),
    .Q(\blk00000001/sig00000021 )
  );
  FDRE #(
    .INIT ( 1'b0 ))
  \blk00000001/blk00000016  (
    .C(aclk),
    .CE(\blk00000001/sig0000009d ),
    .D(\blk00000001/sig000000d8 ),
    .R(\blk00000001/sig00000037 ),
    .Q(\blk00000001/sig00000020 )
  );
  FDRE #(
    .INIT ( 1'b0 ))
  \blk00000001/blk00000015  (
    .C(aclk),
    .CE(\blk00000001/sig0000009d ),
    .D(\blk00000001/sig000000d9 ),
    .R(\blk00000001/sig00000037 ),
    .Q(\blk00000001/sig0000001f )
  );
  FDRE #(
    .INIT ( 1'b0 ))
  \blk00000001/blk00000014  (
    .C(aclk),
    .CE(\blk00000001/sig0000009d ),
    .D(\blk00000001/sig000000c5 ),
    .R(\blk00000001/sig00000038 ),
    .Q(\blk00000001/sig00000041 )
  );
  FDSE #(
    .INIT ( 1'b1 ))
  \blk00000001/blk00000013  (
    .C(aclk),
    .CE(\blk00000001/sig0000009d ),
    .D(\blk00000001/sig000000c6 ),
    .S(\blk00000001/sig00000038 ),
    .Q(\blk00000001/sig00000042 )
  );
  FDSE #(
    .INIT ( 1'b1 ))
  \blk00000001/blk00000012  (
    .C(aclk),
    .CE(\blk00000001/sig0000009d ),
    .D(\blk00000001/sig000000c7 ),
    .S(\blk00000001/sig00000038 ),
    .Q(\blk00000001/sig00000043 )
  );
  FDSE #(
    .INIT ( 1'b1 ))
  \blk00000001/blk00000011  (
    .C(aclk),
    .CE(\blk00000001/sig0000009d ),
    .D(\blk00000001/sig000000c8 ),
    .S(\blk00000001/sig00000038 ),
    .Q(\blk00000001/sig00000044 )
  );
  FDRE #(
    .INIT ( 1'b0 ))
  \blk00000001/blk00000010  (
    .C(aclk),
    .CE(\blk00000001/sig0000009d ),
    .D(\blk00000001/sig000000c9 ),
    .R(\blk00000001/sig00000038 ),
    .Q(\blk00000001/sig00000045 )
  );
  FDSE #(
    .INIT ( 1'b1 ))
  \blk00000001/blk0000000f  (
    .C(aclk),
    .CE(\blk00000001/sig0000009d ),
    .D(\blk00000001/sig000000ca ),
    .S(\blk00000001/sig00000038 ),
    .Q(\blk00000001/sig00000046 )
  );
  FDRE #(
    .INIT ( 1'b0 ))
  \blk00000001/blk0000000e  (
    .C(aclk),
    .CE(\blk00000001/sig0000009d ),
    .D(\blk00000001/sig000000cc ),
    .R(\blk00000001/sig00000038 ),
    .Q(\blk00000001/sig00000048 )
  );
  FDRE #(
    .INIT ( 1'b0 ))
  \blk00000001/blk0000000d  (
    .C(aclk),
    .CE(\blk00000001/sig0000009d ),
    .D(\blk00000001/sig000000cd ),
    .R(\blk00000001/sig00000038 ),
    .Q(\blk00000001/sig00000049 )
  );
  FDSE #(
    .INIT ( 1'b1 ))
  \blk00000001/blk0000000c  (
    .C(aclk),
    .CE(\blk00000001/sig0000009d ),
    .D(\blk00000001/sig000000ce ),
    .S(\blk00000001/sig00000038 ),
    .Q(\blk00000001/sig0000001a )
  );
  FDSE #(
    .INIT ( 1'b1 ))
  \blk00000001/blk0000000b  (
    .C(aclk),
    .CE(\blk00000001/sig0000009d ),
    .D(\blk00000001/sig000000cf ),
    .S(\blk00000001/sig00000038 ),
    .Q(\blk00000001/sig00000019 )
  );
  FDSE #(
    .INIT ( 1'b1 ))
  \blk00000001/blk0000000a  (
    .C(aclk),
    .CE(\blk00000001/sig0000009d ),
    .D(\blk00000001/sig000000d0 ),
    .S(\blk00000001/sig00000038 ),
    .Q(\blk00000001/sig00000018 )
  );
  FDRE #(
    .INIT ( 1'b0 ))
  \blk00000001/blk00000009  (
    .C(aclk),
    .CE(\blk00000001/sig0000009d ),
    .D(\blk00000001/sig000000d1 ),
    .R(\blk00000001/sig00000038 ),
    .Q(\blk00000001/sig0000004a )
  );
  FDSE #(
    .INIT ( 1'b1 ))
  \blk00000001/blk00000008  (
    .C(aclk),
    .CE(\blk00000001/sig0000009d ),
    .D(\blk00000001/sig000000d2 ),
    .S(\blk00000001/sig00000038 ),
    .Q(\blk00000001/sig00000017 )
  );
  FDRE #(
    .INIT ( 1'b0 ))
  \blk00000001/blk00000007  (
    .C(aclk),
    .CE(\blk00000001/sig0000009d ),
    .D(\blk00000001/sig000000da ),
    .R(\blk00000001/sig00000037 ),
    .Q(\blk00000001/sig0000001e )
  );
  FDRE #(
    .INIT ( 1'b0 ))
  \blk00000001/blk00000006  (
    .C(aclk),
    .CE(\blk00000001/sig0000009d ),
    .D(\blk00000001/sig000000cb ),
    .R(\blk00000001/sig00000038 ),
    .Q(\blk00000001/sig00000047 )
  );
  FDRE #(
    .INIT ( 1'b0 ))
  \blk00000001/blk00000005  (
    .C(aclk),
    .CE(\blk00000001/sig0000009d ),
    .D(\blk00000001/sig000000d3 ),
    .R(\blk00000001/sig00000038 ),
    .Q(\blk00000001/sig0000004b )
  );
  FD #(
    .INIT ( 1'b0 ))
  \blk00000001/blk00000004  (
    .C(aclk),
    .D(\blk00000001/sig00000015 ),
    .Q(\blk00000001/sig0000003f )
  );
  FD #(
    .INIT ( 1'b0 ))
  \blk00000001/blk00000003  (
    .C(aclk),
    .D(\blk00000001/sig00000014 ),
    .Q(\blk00000001/sig00000040 )
  );
  GND   \blk00000001/blk00000002  (
    .G(\blk00000001/sig000000ae )
  );
  LUT2 #(
    .INIT ( 4'hE ))
  \blk00000001/blk00000023/blk00000040  (
    .I0(\blk00000001/blk00000023/sig000000ea ),
    .I1(\blk00000001/sig0000003b ),
    .O(\blk00000001/blk00000023/sig00000103 )
  );
  LUT3 #(
    .INIT ( 8'h9A ))
  \blk00000001/blk00000023/blk0000003f  (
    .I0(\blk00000001/blk00000023/sig000000eb ),
    .I1(\blk00000001/blk00000023/sig000000ea ),
    .I2(\blk00000001/sig0000003b ),
    .O(\blk00000001/blk00000023/sig00000101 )
  );
  LUT3 #(
    .INIT ( 8'h9A ))
  \blk00000001/blk00000023/blk0000003e  (
    .I0(\blk00000001/blk00000023/sig000000ec ),
    .I1(\blk00000001/blk00000023/sig000000ea ),
    .I2(\blk00000001/sig0000003b ),
    .O(\blk00000001/blk00000023/sig000000ff )
  );
  LUT3 #(
    .INIT ( 8'h9A ))
  \blk00000001/blk00000023/blk0000003d  (
    .I0(\blk00000001/blk00000023/sig000000ed ),
    .I1(\blk00000001/blk00000023/sig000000ea ),
    .I2(\blk00000001/sig0000003b ),
    .O(\blk00000001/blk00000023/sig000000fd )
  );
  LUT3 #(
    .INIT ( 8'h9A ))
  \blk00000001/blk00000023/blk0000003c  (
    .I0(\blk00000001/blk00000023/sig000000ee ),
    .I1(\blk00000001/blk00000023/sig000000ea ),
    .I2(\blk00000001/sig0000003b ),
    .O(\blk00000001/blk00000023/sig000000fb )
  );
  LUT6 #(
    .INIT ( 64'hAAAAA2ABAAAAA2A2 ))
  \blk00000001/blk00000023/blk0000003b  (
    .I0(\blk00000001/sig000000a4 ),
    .I1(\blk00000001/sig000000a3 ),
    .I2(\blk00000001/blk00000023/sig000000ed ),
    .I3(\blk00000001/blk00000023/sig000000ea ),
    .I4(\blk00000001/blk00000023/sig00000105 ),
    .I5(\blk00000001/sig0000003b ),
    .O(\blk00000001/blk00000023/sig000000f4 )
  );
  LUT3 #(
    .INIT ( 8'hF7 ))
  \blk00000001/blk00000023/blk0000003a  (
    .I0(\blk00000001/blk00000023/sig000000eb ),
    .I1(\blk00000001/blk00000023/sig000000ec ),
    .I2(\blk00000001/blk00000023/sig000000ee ),
    .O(\blk00000001/blk00000023/sig00000105 )
  );
  LUT6 #(
    .INIT ( 64'hEEAAEEA8FFAAFFAA ))
  \blk00000001/blk00000023/blk00000039  (
    .I0(\blk00000001/sig0000009e ),
    .I1(\blk00000001/blk00000023/sig000000ea ),
    .I2(\blk00000001/blk00000023/sig00000104 ),
    .I3(\blk00000001/sig000000a3 ),
    .I4(\blk00000001/blk00000023/sig000000ed ),
    .I5(\blk00000001/sig0000003b ),
    .O(\blk00000001/blk00000023/sig000000f5 )
  );
  LUT3 #(
    .INIT ( 8'hFE ))
  \blk00000001/blk00000023/blk00000038  (
    .I0(\blk00000001/blk00000023/sig000000ee ),
    .I1(\blk00000001/blk00000023/sig000000eb ),
    .I2(\blk00000001/blk00000023/sig000000ec ),
    .O(\blk00000001/blk00000023/sig00000104 )
  );
  XORCY   \blk00000001/blk00000023/blk00000037  (
    .CI(\blk00000001/blk00000023/sig00000102 ),
    .LI(\blk00000001/blk00000023/sig00000103 ),
    .O(\blk00000001/blk00000023/sig000000fa )
  );
  XORCY   \blk00000001/blk00000023/blk00000036  (
    .CI(\blk00000001/blk00000023/sig00000100 ),
    .LI(\blk00000001/blk00000023/sig00000101 ),
    .O(\blk00000001/blk00000023/sig000000f9 )
  );
  MUXCY   \blk00000001/blk00000023/blk00000035  (
    .CI(\blk00000001/blk00000023/sig00000100 ),
    .DI(\blk00000001/blk00000023/sig000000eb ),
    .S(\blk00000001/blk00000023/sig00000101 ),
    .O(\blk00000001/blk00000023/sig00000102 )
  );
  XORCY   \blk00000001/blk00000023/blk00000034  (
    .CI(\blk00000001/blk00000023/sig000000fe ),
    .LI(\blk00000001/blk00000023/sig000000ff ),
    .O(\blk00000001/blk00000023/sig000000f8 )
  );
  MUXCY   \blk00000001/blk00000023/blk00000033  (
    .CI(\blk00000001/blk00000023/sig000000fe ),
    .DI(\blk00000001/blk00000023/sig000000ec ),
    .S(\blk00000001/blk00000023/sig000000ff ),
    .O(\blk00000001/blk00000023/sig00000100 )
  );
  XORCY   \blk00000001/blk00000023/blk00000032  (
    .CI(\blk00000001/blk00000023/sig000000fc ),
    .LI(\blk00000001/blk00000023/sig000000fd ),
    .O(\blk00000001/blk00000023/sig000000f7 )
  );
  MUXCY   \blk00000001/blk00000023/blk00000031  (
    .CI(\blk00000001/blk00000023/sig000000fc ),
    .DI(\blk00000001/blk00000023/sig000000ed ),
    .S(\blk00000001/blk00000023/sig000000fd ),
    .O(\blk00000001/blk00000023/sig000000fe )
  );
  XORCY   \blk00000001/blk00000023/blk00000030  (
    .CI(\blk00000001/sig000000a3 ),
    .LI(\blk00000001/blk00000023/sig000000fb ),
    .O(\blk00000001/blk00000023/sig000000f6 )
  );
  MUXCY   \blk00000001/blk00000023/blk0000002f  (
    .CI(\blk00000001/sig000000a3 ),
    .DI(\blk00000001/blk00000023/sig000000ee ),
    .S(\blk00000001/blk00000023/sig000000fb ),
    .O(\blk00000001/blk00000023/sig000000fc )
  );
  SRLC16E #(
    .INIT ( 16'h0000 ))
  \blk00000001/blk00000023/blk0000002e  (
    .A0(\blk00000001/blk00000023/sig000000ee ),
    .A1(\blk00000001/blk00000023/sig000000ed ),
    .A2(\blk00000001/blk00000023/sig000000ec ),
    .A3(\blk00000001/blk00000023/sig000000eb ),
    .CE(\blk00000001/sig000000a3 ),
    .CLK(aclk),
    .D(\blk00000001/sig000000a6 ),
    .Q(\blk00000001/blk00000023/sig000000f2 ),
    .Q15(\NLW_blk00000001/blk00000023/blk0000002e_Q15_UNCONNECTED )
  );
  SRLC16E #(
    .INIT ( 16'h0000 ))
  \blk00000001/blk00000023/blk0000002d  (
    .A0(\blk00000001/blk00000023/sig000000ee ),
    .A1(\blk00000001/blk00000023/sig000000ed ),
    .A2(\blk00000001/blk00000023/sig000000ec ),
    .A3(\blk00000001/blk00000023/sig000000eb ),
    .CE(\blk00000001/sig000000a3 ),
    .CLK(aclk),
    .D(\blk00000001/sig000000a5 ),
    .Q(\blk00000001/blk00000023/sig000000f3 ),
    .Q15(\NLW_blk00000001/blk00000023/blk0000002d_Q15_UNCONNECTED )
  );
  FDS #(
    .INIT ( 1'b1 ))
  \blk00000001/blk00000023/blk0000002c  (
    .C(aclk),
    .D(\blk00000001/blk00000023/sig000000fa ),
    .S(\blk00000001/sig00000038 ),
    .Q(\blk00000001/blk00000023/sig000000ea )
  );
  FDS #(
    .INIT ( 1'b1 ))
  \blk00000001/blk00000023/blk0000002b  (
    .C(aclk),
    .D(\blk00000001/blk00000023/sig000000f9 ),
    .S(\blk00000001/sig00000038 ),
    .Q(\blk00000001/blk00000023/sig000000eb )
  );
  FDS #(
    .INIT ( 1'b1 ))
  \blk00000001/blk00000023/blk0000002a  (
    .C(aclk),
    .D(\blk00000001/blk00000023/sig000000f8 ),
    .S(\blk00000001/sig00000038 ),
    .Q(\blk00000001/blk00000023/sig000000ec )
  );
  FDS #(
    .INIT ( 1'b1 ))
  \blk00000001/blk00000023/blk00000029  (
    .C(aclk),
    .D(\blk00000001/blk00000023/sig000000f7 ),
    .S(\blk00000001/sig00000038 ),
    .Q(\blk00000001/blk00000023/sig000000ed )
  );
  FDS #(
    .INIT ( 1'b1 ))
  \blk00000001/blk00000023/blk00000028  (
    .C(aclk),
    .D(\blk00000001/blk00000023/sig000000f6 ),
    .S(\blk00000001/sig00000038 ),
    .Q(\blk00000001/blk00000023/sig000000ee )
  );
  FDE #(
    .INIT ( 1'b0 ))
  \blk00000001/blk00000023/blk00000027  (
    .C(aclk),
    .CE(\blk00000001/sig0000003b ),
    .D(\blk00000001/blk00000023/sig000000f2 ),
    .Q(\blk00000001/sig000000a0 )
  );
  FDE #(
    .INIT ( 1'b0 ))
  \blk00000001/blk00000023/blk00000026  (
    .C(aclk),
    .CE(\blk00000001/sig0000003b ),
    .D(\blk00000001/blk00000023/sig000000f3 ),
    .Q(\blk00000001/sig0000009f )
  );
  FDS #(
    .INIT ( 1'b1 ))
  \blk00000001/blk00000023/blk00000025  (
    .C(aclk),
    .D(\blk00000001/blk00000023/sig000000f4 ),
    .S(\blk00000001/sig00000038 ),
    .Q(\blk00000001/sig000000a4 )
  );
  FDR #(
    .INIT ( 1'b0 ))
  \blk00000001/blk00000023/blk00000024  (
    .C(aclk),
    .D(\blk00000001/blk00000023/sig000000f5 ),
    .R(\blk00000001/sig00000038 ),
    .Q(\blk00000001/sig0000009e )
  );
  LUT4 #(
    .INIT ( 16'h1151 ))
  \blk00000001/blk00000041/blk0000006a  (
    .I0(\blk00000001/sig00000038 ),
    .I1(\blk00000001/blk00000041/sig0000011a ),
    .I2(NlwRenamedSig_OI_m_axis_data_tvalid),
    .I3(m_axis_data_tready),
    .O(\blk00000001/blk00000041/sig00000122 )
  );
  LUT3 #(
    .INIT ( 8'hFD ))
  \blk00000001/blk00000041/blk00000069  (
    .I0(NlwRenamedSig_OI_m_axis_data_tvalid),
    .I1(\blk00000001/blk00000041/sig0000011a ),
    .I2(m_axis_data_tready),
    .O(\blk00000001/blk00000041/sig00000123 )
  );
  LUT6 #(
    .INIT ( 64'hFF230000FFFF2323 ))
  \blk00000001/blk00000041/blk00000068  (
    .I0(m_axis_data_tready),
    .I1(\blk00000001/blk00000041/sig0000011a ),
    .I2(NlwRenamedSig_OI_m_axis_data_tvalid),
    .I3(\blk00000001/blk00000041/sig0000013a ),
    .I4(\blk00000001/sig0000009d ),
    .I5(\blk00000001/sig0000003a ),
    .O(\blk00000001/blk00000041/sig00000131 )
  );
  LUT4 #(
    .INIT ( 16'hF7FF ))
  \blk00000001/blk00000041/blk00000067  (
    .I0(\blk00000001/blk00000041/sig0000011b ),
    .I1(\blk00000001/blk00000041/sig0000011c ),
    .I2(\blk00000001/blk00000041/sig0000011e ),
    .I3(\blk00000001/blk00000041/sig0000011d ),
    .O(\blk00000001/blk00000041/sig0000013a )
  );
  LUT4 #(
    .INIT ( 16'h99A9 ))
  \blk00000001/blk00000041/blk00000066  (
    .I0(\blk00000001/blk00000041/sig0000011b ),
    .I1(\blk00000001/blk00000041/sig0000011a ),
    .I2(NlwRenamedSig_OI_m_axis_data_tvalid),
    .I3(m_axis_data_tready),
    .O(\blk00000001/blk00000041/sig00000125 )
  );
  LUT4 #(
    .INIT ( 16'h99A9 ))
  \blk00000001/blk00000041/blk00000065  (
    .I0(\blk00000001/blk00000041/sig0000011c ),
    .I1(\blk00000001/blk00000041/sig0000011a ),
    .I2(NlwRenamedSig_OI_m_axis_data_tvalid),
    .I3(m_axis_data_tready),
    .O(\blk00000001/blk00000041/sig00000127 )
  );
  LUT4 #(
    .INIT ( 16'h99A9 ))
  \blk00000001/blk00000041/blk00000064  (
    .I0(\blk00000001/blk00000041/sig0000011d ),
    .I1(\blk00000001/blk00000041/sig0000011a ),
    .I2(NlwRenamedSig_OI_m_axis_data_tvalid),
    .I3(m_axis_data_tready),
    .O(\blk00000001/blk00000041/sig00000129 )
  );
  LUT4 #(
    .INIT ( 16'h99A9 ))
  \blk00000001/blk00000041/blk00000063  (
    .I0(\blk00000001/blk00000041/sig0000011e ),
    .I1(\blk00000001/blk00000041/sig0000011a ),
    .I2(NlwRenamedSig_OI_m_axis_data_tvalid),
    .I3(m_axis_data_tready),
    .O(\blk00000001/blk00000041/sig0000012b )
  );
  LUT2 #(
    .INIT ( 4'hD ))
  \blk00000001/blk00000041/blk00000062  (
    .I0(NlwRenamedSig_OI_m_axis_data_tvalid),
    .I1(m_axis_data_tready),
    .O(\blk00000001/blk00000041/sig00000121 )
  );
  FDS #(
    .INIT ( 1'b1 ))
  \blk00000001/blk00000041/blk00000061  (
    .C(aclk),
    .D(\blk00000001/blk00000041/sig00000131 ),
    .S(\blk00000001/sig00000038 ),
    .Q(\blk00000001/sig0000009d )
  );
  FDE #(
    .INIT ( 1'b0 ))
  \blk00000001/blk00000041/blk00000060  (
    .C(aclk),
    .CE(\blk00000001/blk00000041/sig00000121 ),
    .D(\blk00000001/blk00000041/sig00000132 ),
    .Q(m_axis_data_tdata[0])
  );
  FDE #(
    .INIT ( 1'b0 ))
  \blk00000001/blk00000041/blk0000005f  (
    .C(aclk),
    .CE(\blk00000001/blk00000041/sig00000121 ),
    .D(\blk00000001/blk00000041/sig00000133 ),
    .Q(m_axis_data_tdata[1])
  );
  FDE #(
    .INIT ( 1'b0 ))
  \blk00000001/blk00000041/blk0000005e  (
    .C(aclk),
    .CE(\blk00000001/blk00000041/sig00000121 ),
    .D(\blk00000001/blk00000041/sig00000134 ),
    .Q(m_axis_data_tdata[2])
  );
  FDE #(
    .INIT ( 1'b0 ))
  \blk00000001/blk00000041/blk0000005d  (
    .C(aclk),
    .CE(\blk00000001/blk00000041/sig00000121 ),
    .D(\blk00000001/blk00000041/sig00000135 ),
    .Q(m_axis_data_tdata[3])
  );
  FDE #(
    .INIT ( 1'b0 ))
  \blk00000001/blk00000041/blk0000005c  (
    .C(aclk),
    .CE(\blk00000001/blk00000041/sig00000121 ),
    .D(\blk00000001/blk00000041/sig00000136 ),
    .Q(m_axis_data_tdata[4])
  );
  FDE #(
    .INIT ( 1'b0 ))
  \blk00000001/blk00000041/blk0000005b  (
    .C(aclk),
    .CE(\blk00000001/blk00000041/sig00000121 ),
    .D(\blk00000001/blk00000041/sig00000137 ),
    .Q(m_axis_data_tdata[5])
  );
  FDE #(
    .INIT ( 1'b0 ))
  \blk00000001/blk00000041/blk0000005a  (
    .C(aclk),
    .CE(\blk00000001/blk00000041/sig00000121 ),
    .D(\blk00000001/blk00000041/sig00000138 ),
    .Q(m_axis_data_tdata[6])
  );
  FDE #(
    .INIT ( 1'b0 ))
  \blk00000001/blk00000041/blk00000059  (
    .C(aclk),
    .CE(\blk00000001/blk00000041/sig00000121 ),
    .D(\blk00000001/blk00000041/sig00000139 ),
    .Q(m_axis_data_tdata[7])
  );
  FDS #(
    .INIT ( 1'b1 ))
  \blk00000001/blk00000041/blk00000058  (
    .C(aclk),
    .D(\blk00000001/blk00000041/sig00000130 ),
    .S(\blk00000001/sig00000038 ),
    .Q(\blk00000001/blk00000041/sig0000011e )
  );
  FDS #(
    .INIT ( 1'b1 ))
  \blk00000001/blk00000041/blk00000057  (
    .C(aclk),
    .D(\blk00000001/blk00000041/sig0000012f ),
    .S(\blk00000001/sig00000038 ),
    .Q(\blk00000001/blk00000041/sig0000011d )
  );
  FDS #(
    .INIT ( 1'b1 ))
  \blk00000001/blk00000041/blk00000056  (
    .C(aclk),
    .D(\blk00000001/blk00000041/sig0000012e ),
    .S(\blk00000001/sig00000038 ),
    .Q(\blk00000001/blk00000041/sig0000011c )
  );
  FDS #(
    .INIT ( 1'b1 ))
  \blk00000001/blk00000041/blk00000055  (
    .C(aclk),
    .D(\blk00000001/blk00000041/sig0000012d ),
    .S(\blk00000001/sig00000038 ),
    .Q(\blk00000001/blk00000041/sig0000011b )
  );
  FDS #(
    .INIT ( 1'b1 ))
  \blk00000001/blk00000041/blk00000054  (
    .C(aclk),
    .D(\blk00000001/blk00000041/sig0000012c ),
    .S(\blk00000001/sig00000038 ),
    .Q(\blk00000001/blk00000041/sig0000011a )
  );
  SRLC16E #(
    .INIT ( 16'h0000 ))
  \blk00000001/blk00000041/blk00000053  (
    .A0(\blk00000001/blk00000041/sig0000011e ),
    .A1(\blk00000001/blk00000041/sig0000011d ),
    .A2(\blk00000001/blk00000041/sig0000011c ),
    .A3(\blk00000001/blk00000041/sig0000011b ),
    .CE(\blk00000001/sig0000003a ),
    .CLK(aclk),
    .D(\blk00000001/sig00000056 ),
    .Q(\blk00000001/blk00000041/sig00000134 ),
    .Q15(\NLW_blk00000001/blk00000041/blk00000053_Q15_UNCONNECTED )
  );
  SRLC16E #(
    .INIT ( 16'h0000 ))
  \blk00000001/blk00000041/blk00000052  (
    .A0(\blk00000001/blk00000041/sig0000011e ),
    .A1(\blk00000001/blk00000041/sig0000011d ),
    .A2(\blk00000001/blk00000041/sig0000011c ),
    .A3(\blk00000001/blk00000041/sig0000011b ),
    .CE(\blk00000001/sig0000003a ),
    .CLK(aclk),
    .D(\blk00000001/sig00000054 ),
    .Q(\blk00000001/blk00000041/sig00000132 ),
    .Q15(\NLW_blk00000001/blk00000041/blk00000052_Q15_UNCONNECTED )
  );
  SRLC16E #(
    .INIT ( 16'h0000 ))
  \blk00000001/blk00000041/blk00000051  (
    .A0(\blk00000001/blk00000041/sig0000011e ),
    .A1(\blk00000001/blk00000041/sig0000011d ),
    .A2(\blk00000001/blk00000041/sig0000011c ),
    .A3(\blk00000001/blk00000041/sig0000011b ),
    .CE(\blk00000001/sig0000003a ),
    .CLK(aclk),
    .D(\blk00000001/sig00000055 ),
    .Q(\blk00000001/blk00000041/sig00000133 ),
    .Q15(\NLW_blk00000001/blk00000041/blk00000051_Q15_UNCONNECTED )
  );
  SRLC16E #(
    .INIT ( 16'h0000 ))
  \blk00000001/blk00000041/blk00000050  (
    .A0(\blk00000001/blk00000041/sig0000011e ),
    .A1(\blk00000001/blk00000041/sig0000011d ),
    .A2(\blk00000001/blk00000041/sig0000011c ),
    .A3(\blk00000001/blk00000041/sig0000011b ),
    .CE(\blk00000001/sig0000003a ),
    .CLK(aclk),
    .D(\blk00000001/sig00000057 ),
    .Q(\blk00000001/blk00000041/sig00000135 ),
    .Q15(\NLW_blk00000001/blk00000041/blk00000050_Q15_UNCONNECTED )
  );
  SRLC16E #(
    .INIT ( 16'h0000 ))
  \blk00000001/blk00000041/blk0000004f  (
    .A0(\blk00000001/blk00000041/sig0000011e ),
    .A1(\blk00000001/blk00000041/sig0000011d ),
    .A2(\blk00000001/blk00000041/sig0000011c ),
    .A3(\blk00000001/blk00000041/sig0000011b ),
    .CE(\blk00000001/sig0000003a ),
    .CLK(aclk),
    .D(\blk00000001/sig00000058 ),
    .Q(\blk00000001/blk00000041/sig00000136 ),
    .Q15(\NLW_blk00000001/blk00000041/blk0000004f_Q15_UNCONNECTED )
  );
  SRLC16E #(
    .INIT ( 16'h0000 ))
  \blk00000001/blk00000041/blk0000004e  (
    .A0(\blk00000001/blk00000041/sig0000011e ),
    .A1(\blk00000001/blk00000041/sig0000011d ),
    .A2(\blk00000001/blk00000041/sig0000011c ),
    .A3(\blk00000001/blk00000041/sig0000011b ),
    .CE(\blk00000001/sig0000003a ),
    .CLK(aclk),
    .D(\blk00000001/sig00000059 ),
    .Q(\blk00000001/blk00000041/sig00000137 ),
    .Q15(\NLW_blk00000001/blk00000041/blk0000004e_Q15_UNCONNECTED )
  );
  SRLC16E #(
    .INIT ( 16'h0000 ))
  \blk00000001/blk00000041/blk0000004d  (
    .A0(\blk00000001/blk00000041/sig0000011e ),
    .A1(\blk00000001/blk00000041/sig0000011d ),
    .A2(\blk00000001/blk00000041/sig0000011c ),
    .A3(\blk00000001/blk00000041/sig0000011b ),
    .CE(\blk00000001/sig0000003a ),
    .CLK(aclk),
    .D(\blk00000001/sig0000005a ),
    .Q(\blk00000001/blk00000041/sig00000138 ),
    .Q15(\NLW_blk00000001/blk00000041/blk0000004d_Q15_UNCONNECTED )
  );
  SRLC16E #(
    .INIT ( 16'h0000 ))
  \blk00000001/blk00000041/blk0000004c  (
    .A0(\blk00000001/blk00000041/sig0000011e ),
    .A1(\blk00000001/blk00000041/sig0000011d ),
    .A2(\blk00000001/blk00000041/sig0000011c ),
    .A3(\blk00000001/blk00000041/sig0000011b ),
    .CE(\blk00000001/sig0000003a ),
    .CLK(aclk),
    .D(\blk00000001/sig0000005b ),
    .Q(\blk00000001/blk00000041/sig00000139 ),
    .Q15(\NLW_blk00000001/blk00000041/blk0000004c_Q15_UNCONNECTED )
  );
  MUXCY   \blk00000001/blk00000041/blk0000004b  (
    .CI(\blk00000001/sig0000003a ),
    .DI(\blk00000001/blk00000041/sig0000011e ),
    .S(\blk00000001/blk00000041/sig0000012b ),
    .O(\blk00000001/blk00000041/sig0000012a )
  );
  XORCY   \blk00000001/blk00000041/blk0000004a  (
    .CI(\blk00000001/sig0000003a ),
    .LI(\blk00000001/blk00000041/sig0000012b ),
    .O(\blk00000001/blk00000041/sig00000130 )
  );
  MUXCY   \blk00000001/blk00000041/blk00000049  (
    .CI(\blk00000001/blk00000041/sig0000012a ),
    .DI(\blk00000001/blk00000041/sig0000011d ),
    .S(\blk00000001/blk00000041/sig00000129 ),
    .O(\blk00000001/blk00000041/sig00000128 )
  );
  XORCY   \blk00000001/blk00000041/blk00000048  (
    .CI(\blk00000001/blk00000041/sig0000012a ),
    .LI(\blk00000001/blk00000041/sig00000129 ),
    .O(\blk00000001/blk00000041/sig0000012f )
  );
  MUXCY   \blk00000001/blk00000041/blk00000047  (
    .CI(\blk00000001/blk00000041/sig00000128 ),
    .DI(\blk00000001/blk00000041/sig0000011c ),
    .S(\blk00000001/blk00000041/sig00000127 ),
    .O(\blk00000001/blk00000041/sig00000126 )
  );
  XORCY   \blk00000001/blk00000041/blk00000046  (
    .CI(\blk00000001/blk00000041/sig00000128 ),
    .LI(\blk00000001/blk00000041/sig00000127 ),
    .O(\blk00000001/blk00000041/sig0000012e )
  );
  MUXCY   \blk00000001/blk00000041/blk00000045  (
    .CI(\blk00000001/blk00000041/sig00000126 ),
    .DI(\blk00000001/blk00000041/sig0000011b ),
    .S(\blk00000001/blk00000041/sig00000125 ),
    .O(\blk00000001/blk00000041/sig00000124 )
  );
  XORCY   \blk00000001/blk00000041/blk00000044  (
    .CI(\blk00000001/blk00000041/sig00000126 ),
    .LI(\blk00000001/blk00000041/sig00000125 ),
    .O(\blk00000001/blk00000041/sig0000012d )
  );
  XORCY   \blk00000001/blk00000041/blk00000043  (
    .CI(\blk00000001/blk00000041/sig00000124 ),
    .LI(\blk00000001/blk00000041/sig00000123 ),
    .O(\blk00000001/blk00000041/sig0000012c )
  );
  FD #(
    .INIT ( 1'b0 ))
  \blk00000001/blk00000041/blk00000042  (
    .C(aclk),
    .D(\blk00000001/blk00000041/sig00000122 ),
    .Q(NlwRenamedSig_OI_m_axis_data_tvalid)
  );
  RAMB8BWER #(
    .INIT_00 ( 256'h0000000000000000000000000000000000000000000000000000000000000000 ),
    .INIT_01 ( 256'h0000000000000000000000000000000000000000000000000000000000000000 ),
    .WRITE_MODE_A ( "WRITE_FIRST" ),
    .WRITE_MODE_B ( "WRITE_FIRST" ),
    .DATA_WIDTH_A ( 2 ),
    .DATA_WIDTH_B ( 2 ),
    .DOA_REG ( 1 ),
    .DOB_REG ( 1 ),
    .EN_RSTRAM_A ( "TRUE" ),
    .EN_RSTRAM_B ( "TRUE" ),
    .INITP_00 ( 256'h0000000000000000000000000000000000000000000000000000000000000000 ),
    .INITP_01 ( 256'h0000000000000000000000000000000000000000000000000000000000000000 ),
    .INITP_02 ( 256'h0000000000000000000000000000000000000000000000000000000000000000 ),
    .INITP_03 ( 256'h0000000000000000000000000000000000000000000000000000000000000000 ),
    .INIT_02 ( 256'h0000000000000000000000000000000000000000000000000000000000000000 ),
    .INIT_03 ( 256'h0000000000000000000000000000000000000000000000000000000000000000 ),
    .INIT_04 ( 256'h0000000000000000000000000000000000000000000000000000000000000000 ),
    .INIT_05 ( 256'h0000000000000000000000000000000000000000000000000000000000000000 ),
    .INIT_06 ( 256'h0000000000000000000000000000000000000000000000000000000000000000 ),
    .INIT_07 ( 256'h0000000000000000000000000000000000000000000000000000000000000000 ),
    .INIT_08 ( 256'h0000000000000000000000000000000000000000000000000000000000000000 ),
    .INIT_09 ( 256'h0000000000000000000000000000000000000000000000000000000000000000 ),
    .INIT_0A ( 256'h0000000000000000000000000000000000000000000000000000000000000000 ),
    .INIT_0B ( 256'h0000000000000000000000000000000000000000000000000000000000000000 ),
    .INIT_0C ( 256'h0000000000000000000000000000000000000000000000000000000000000000 ),
    .INIT_0D ( 256'h0000000000000000000000000000000000000000000000000000000000000000 ),
    .INIT_0E ( 256'h0000000000000000000000000000000000000000000000000000000000000000 ),
    .INIT_0F ( 256'h0000000000000000000000000000000000000000000000000000000000000000 ),
    .INIT_10 ( 256'h0000000000000000000000000000000000000000000000000000000000000000 ),
    .INIT_11 ( 256'h0000000000000000000000000000000000000000000000000000000000000000 ),
    .INIT_12 ( 256'h0000000000000000000000000000000000000000000000000000000000000000 ),
    .INIT_13 ( 256'h0000000000000000000000000000000000000000000000000000000000000000 ),
    .INIT_14 ( 256'h0000000000000000000000000000000000000000000000000000000000000000 ),
    .INIT_15 ( 256'h0000000000000000000000000000000000000000000000000000000000000000 ),
    .INIT_16 ( 256'h0000000000000000000000000000000000000000000000000000000000000000 ),
    .INIT_17 ( 256'h0000000000000000000000000000000000000000000000000000000000000000 ),
    .INIT_18 ( 256'h0000000000000000000000000000000000000000000000000000000000000000 ),
    .INIT_19 ( 256'h0000000000000000000000000000000000000000000000000000000000000000 ),
    .INIT_1A ( 256'h0000000000000000000000000000000000000000000000000000000000000000 ),
    .INIT_1B ( 256'h0000000000000000000000000000000000000000000000000000000000000000 ),
    .INIT_1C ( 256'h0000000000000000000000000000000000000000000000000000000000000000 ),
    .INIT_1D ( 256'h0000000000000000000000000000000000000000000000000000000000000000 ),
    .INIT_1E ( 256'h0000000000000000000000000000000000000000000000000000000000000000 ),
    .INIT_1F ( 256'h0000000000000000000000000000000000000000000000000000000000000000 ),
    .INIT_A ( 18'h00000 ),
    .INIT_B ( 18'h00000 ),
    .RAM_MODE ( "TDP" ),
    .RST_PRIORITY_A ( "CE" ),
    .RST_PRIORITY_B ( "CE" ),
    .RSTTYPE ( "SYNC" ),
    .SRVAL_A ( 18'h00000 ),
    .SRVAL_B ( 18'h00000 ),
    .INIT_FILE ( "NONE" ),
    .SIM_COLLISION_CHECK ( "ALL" ))
  \blk00000001/blk00000085/blk00000087  (
    .RSTBRST(\blk00000001/blk00000085/sig00000157 ),
    .ENBRDEN(\blk00000001/sig0000009d ),
    .REGCEA(\blk00000001/sig0000009d ),
    .ENAWREN(\blk00000001/sig0000009d ),
    .CLKAWRCLK(aclk),
    .CLKBRDCLK(aclk),
    .REGCEBREGCE(\blk00000001/sig0000009d ),
    .RSTA(\blk00000001/blk00000085/sig00000157 ),
    .WEAWEL({\blk00000001/sig00000060 , \blk00000001/sig00000060 }),
    .DOADO({\NLW_blk00000001/blk00000085/blk00000087_DOADO<15>_UNCONNECTED , \NLW_blk00000001/blk00000085/blk00000087_DOADO<14>_UNCONNECTED , 
\NLW_blk00000001/blk00000085/blk00000087_DOADO<13>_UNCONNECTED , \NLW_blk00000001/blk00000085/blk00000087_DOADO<12>_UNCONNECTED , 
\NLW_blk00000001/blk00000085/blk00000087_DOADO<11>_UNCONNECTED , \NLW_blk00000001/blk00000085/blk00000087_DOADO<10>_UNCONNECTED , 
\NLW_blk00000001/blk00000085/blk00000087_DOADO<9>_UNCONNECTED , \NLW_blk00000001/blk00000085/blk00000087_DOADO<8>_UNCONNECTED , 
\NLW_blk00000001/blk00000085/blk00000087_DOADO<7>_UNCONNECTED , \NLW_blk00000001/blk00000085/blk00000087_DOADO<6>_UNCONNECTED , 
\NLW_blk00000001/blk00000085/blk00000087_DOADO<5>_UNCONNECTED , \NLW_blk00000001/blk00000085/blk00000087_DOADO<4>_UNCONNECTED , 
\NLW_blk00000001/blk00000085/blk00000087_DOADO<3>_UNCONNECTED , \NLW_blk00000001/blk00000085/blk00000087_DOADO<2>_UNCONNECTED , 
\blk00000001/sig0000007d , \blk00000001/sig0000007c }),
    .DOPADOP({\NLW_blk00000001/blk00000085/blk00000087_DOPADOP<1>_UNCONNECTED , \NLW_blk00000001/blk00000085/blk00000087_DOPADOP<0>_UNCONNECTED }),
    .DOPBDOP({\NLW_blk00000001/blk00000085/blk00000087_DOPBDOP<1>_UNCONNECTED , \NLW_blk00000001/blk00000085/blk00000087_DOPBDOP<0>_UNCONNECTED }),
    .WEBWEU({\blk00000001/sig0000005f , \blk00000001/sig0000005f }),
    .ADDRAWRADDR({\blk00000001/blk00000085/sig00000157 , \blk00000001/blk00000085/sig00000157 , \blk00000001/blk00000085/sig00000157 , 
\blk00000001/blk00000085/sig00000157 , \blk00000001/sig00000071 , \blk00000001/sig00000070 , \blk00000001/sig0000006f , \blk00000001/sig0000006e , 
\blk00000001/sig0000006d , \blk00000001/sig0000006c , \blk00000001/sig0000006b , \blk00000001/sig0000006a , 
\NLW_blk00000001/blk00000085/blk00000087_ADDRAWRADDR<0>_UNCONNECTED }),
    .DIPBDIP({\NLW_blk00000001/blk00000085/blk00000087_DIPBDIP<1>_UNCONNECTED , \NLW_blk00000001/blk00000085/blk00000087_DIPBDIP<0>_UNCONNECTED }),
    .DIBDI({\NLW_blk00000001/blk00000085/blk00000087_DIBDI<15>_UNCONNECTED , \NLW_blk00000001/blk00000085/blk00000087_DIBDI<14>_UNCONNECTED , 
\NLW_blk00000001/blk00000085/blk00000087_DIBDI<13>_UNCONNECTED , \NLW_blk00000001/blk00000085/blk00000087_DIBDI<12>_UNCONNECTED , 
\NLW_blk00000001/blk00000085/blk00000087_DIBDI<11>_UNCONNECTED , \NLW_blk00000001/blk00000085/blk00000087_DIBDI<10>_UNCONNECTED , 
\NLW_blk00000001/blk00000085/blk00000087_DIBDI<9>_UNCONNECTED , \NLW_blk00000001/blk00000085/blk00000087_DIBDI<8>_UNCONNECTED , 
\NLW_blk00000001/blk00000085/blk00000087_DIBDI<7>_UNCONNECTED , \NLW_blk00000001/blk00000085/blk00000087_DIBDI<6>_UNCONNECTED , 
\NLW_blk00000001/blk00000085/blk00000087_DIBDI<5>_UNCONNECTED , \NLW_blk00000001/blk00000085/blk00000087_DIBDI<4>_UNCONNECTED , 
\NLW_blk00000001/blk00000085/blk00000087_DIBDI<3>_UNCONNECTED , \NLW_blk00000001/blk00000085/blk00000087_DIBDI<2>_UNCONNECTED , 
\blk00000001/sig0000005d , \blk00000001/sig0000005c }),
    .DIADI({\NLW_blk00000001/blk00000085/blk00000087_DIADI<15>_UNCONNECTED , \NLW_blk00000001/blk00000085/blk00000087_DIADI<14>_UNCONNECTED , 
\NLW_blk00000001/blk00000085/blk00000087_DIADI<13>_UNCONNECTED , \NLW_blk00000001/blk00000085/blk00000087_DIADI<12>_UNCONNECTED , 
\NLW_blk00000001/blk00000085/blk00000087_DIADI<11>_UNCONNECTED , \NLW_blk00000001/blk00000085/blk00000087_DIADI<10>_UNCONNECTED , 
\NLW_blk00000001/blk00000085/blk00000087_DIADI<9>_UNCONNECTED , \NLW_blk00000001/blk00000085/blk00000087_DIADI<8>_UNCONNECTED , 
\NLW_blk00000001/blk00000085/blk00000087_DIADI<7>_UNCONNECTED , \NLW_blk00000001/blk00000085/blk00000087_DIADI<6>_UNCONNECTED , 
\NLW_blk00000001/blk00000085/blk00000087_DIADI<5>_UNCONNECTED , \NLW_blk00000001/blk00000085/blk00000087_DIADI<4>_UNCONNECTED , 
\NLW_blk00000001/blk00000085/blk00000087_DIADI<3>_UNCONNECTED , \NLW_blk00000001/blk00000085/blk00000087_DIADI<2>_UNCONNECTED , 
\blk00000001/sig0000009c , \blk00000001/sig0000009b }),
    .ADDRBRDADDR({\blk00000001/blk00000085/sig00000157 , \blk00000001/blk00000085/sig00000157 , \blk00000001/blk00000085/sig00000157 , 
\blk00000001/blk00000085/sig00000157 , \blk00000001/sig00000069 , \blk00000001/sig00000068 , \blk00000001/sig00000067 , \blk00000001/sig00000066 , 
\blk00000001/sig00000065 , \blk00000001/sig00000064 , \blk00000001/sig00000063 , \blk00000001/sig00000062 , 
\NLW_blk00000001/blk00000085/blk00000087_ADDRBRDADDR<0>_UNCONNECTED }),
    .DOBDO({\NLW_blk00000001/blk00000085/blk00000087_DOBDO<15>_UNCONNECTED , \NLW_blk00000001/blk00000085/blk00000087_DOBDO<14>_UNCONNECTED , 
\NLW_blk00000001/blk00000085/blk00000087_DOBDO<13>_UNCONNECTED , \NLW_blk00000001/blk00000085/blk00000087_DOBDO<12>_UNCONNECTED , 
\NLW_blk00000001/blk00000085/blk00000087_DOBDO<11>_UNCONNECTED , \NLW_blk00000001/blk00000085/blk00000087_DOBDO<10>_UNCONNECTED , 
\NLW_blk00000001/blk00000085/blk00000087_DOBDO<9>_UNCONNECTED , \NLW_blk00000001/blk00000085/blk00000087_DOBDO<8>_UNCONNECTED , 
\NLW_blk00000001/blk00000085/blk00000087_DOBDO<7>_UNCONNECTED , \NLW_blk00000001/blk00000085/blk00000087_DOBDO<6>_UNCONNECTED , 
\NLW_blk00000001/blk00000085/blk00000087_DOBDO<5>_UNCONNECTED , \NLW_blk00000001/blk00000085/blk00000087_DOBDO<4>_UNCONNECTED , 
\NLW_blk00000001/blk00000085/blk00000087_DOBDO<3>_UNCONNECTED , \NLW_blk00000001/blk00000085/blk00000087_DOBDO<2>_UNCONNECTED , 
\blk00000001/sig0000007b , \blk00000001/sig0000007a }),
    .DIPADIP({\NLW_blk00000001/blk00000085/blk00000087_DIPADIP<1>_UNCONNECTED , \NLW_blk00000001/blk00000085/blk00000087_DIPADIP<0>_UNCONNECTED })
  );
  GND   \blk00000001/blk00000085/blk00000086  (
    .G(\blk00000001/blk00000085/sig00000157 )
  );
  LUT5 #(
    .INIT ( 32'h7BE67DA8 ))
  \blk00000001/blk00000088/blk000000ab  (
    .I0(\blk00000001/sig00000090 ),
    .I1(\blk00000001/sig0000008f ),
    .I2(\blk00000001/sig0000008d ),
    .I3(\blk00000001/sig0000008c ),
    .I4(\blk00000001/sig0000008e ),
    .O(\blk00000001/blk00000088/sig00000183 )
  );
  LUT5 #(
    .INIT ( 32'hD7ACABED ))
  \blk00000001/blk00000088/blk000000aa  (
    .I0(\blk00000001/sig0000008f ),
    .I1(\blk00000001/sig0000008e ),
    .I2(\blk00000001/sig0000008c ),
    .I3(\blk00000001/sig0000008d ),
    .I4(\blk00000001/sig00000090 ),
    .O(\blk00000001/blk00000088/sig00000182 )
  );
  LUT5 #(
    .INIT ( 32'h8AADFCC7 ))
  \blk00000001/blk00000088/blk000000a9  (
    .I0(\blk00000001/sig00000090 ),
    .I1(\blk00000001/sig0000008f ),
    .I2(\blk00000001/sig0000008c ),
    .I3(\blk00000001/sig0000008d ),
    .I4(\blk00000001/sig0000008e ),
    .O(\blk00000001/blk00000088/sig00000181 )
  );
  LUT5 #(
    .INIT ( 32'h04152637 ))
  \blk00000001/blk00000088/blk000000a8  (
    .I0(\blk00000001/sig00000091 ),
    .I1(\blk00000001/sig00000092 ),
    .I2(\blk00000001/blk00000088/sig00000181 ),
    .I3(\blk00000001/blk00000088/sig00000183 ),
    .I4(\blk00000001/blk00000088/sig00000182 ),
    .O(\blk00000001/blk00000088/sig00000168 )
  );
  LUT5 #(
    .INIT ( 32'hF111C111 ))
  \blk00000001/blk00000088/blk000000a7  (
    .I0(\blk00000001/sig00000090 ),
    .I1(\blk00000001/sig0000008d ),
    .I2(\blk00000001/sig0000008e ),
    .I3(\blk00000001/sig0000008f ),
    .I4(\blk00000001/sig0000008c ),
    .O(\blk00000001/blk00000088/sig00000180 )
  );
  LUT5 #(
    .INIT ( 32'h8B38F5CE ))
  \blk00000001/blk00000088/blk000000a6  (
    .I0(\blk00000001/sig00000090 ),
    .I1(\blk00000001/sig0000008f ),
    .I2(\blk00000001/sig0000008e ),
    .I3(\blk00000001/sig0000008d ),
    .I4(\blk00000001/sig0000008c ),
    .O(\blk00000001/blk00000088/sig0000017f )
  );
  LUT5 #(
    .INIT ( 32'hABAA9DF1 ))
  \blk00000001/blk00000088/blk000000a5  (
    .I0(\blk00000001/sig0000008e ),
    .I1(\blk00000001/sig00000090 ),
    .I2(\blk00000001/sig0000008f ),
    .I3(\blk00000001/sig0000008d ),
    .I4(\blk00000001/sig0000008c ),
    .O(\blk00000001/blk00000088/sig0000017e )
  );
  LUT5 #(
    .INIT ( 32'h51407362 ))
  \blk00000001/blk00000088/blk000000a4  (
    .I0(\blk00000001/sig00000092 ),
    .I1(\blk00000001/sig00000091 ),
    .I2(\blk00000001/blk00000088/sig0000017f ),
    .I3(\blk00000001/blk00000088/sig00000180 ),
    .I4(\blk00000001/blk00000088/sig0000017e ),
    .O(\blk00000001/blk00000088/sig00000167 )
  );
  LUT5 #(
    .INIT ( 32'h00045555 ))
  \blk00000001/blk00000088/blk000000a3  (
    .I0(\blk00000001/sig00000090 ),
    .I1(\blk00000001/sig0000008f ),
    .I2(\blk00000001/sig0000008c ),
    .I3(\blk00000001/sig0000008d ),
    .I4(\blk00000001/sig0000008e ),
    .O(\blk00000001/blk00000088/sig0000017d )
  );
  LUT5 #(
    .INIT ( 32'h86C265D7 ))
  \blk00000001/blk00000088/blk000000a2  (
    .I0(\blk00000001/sig0000008f ),
    .I1(\blk00000001/sig0000008d ),
    .I2(\blk00000001/sig0000008c ),
    .I3(\blk00000001/sig00000090 ),
    .I4(\blk00000001/sig0000008e ),
    .O(\blk00000001/blk00000088/sig0000017c )
  );
  LUT5 #(
    .INIT ( 32'h8BAB4278 ))
  \blk00000001/blk00000088/blk000000a1  (
    .I0(\blk00000001/sig0000008e ),
    .I1(\blk00000001/sig00000090 ),
    .I2(\blk00000001/sig0000008d ),
    .I3(\blk00000001/sig0000008c ),
    .I4(\blk00000001/sig0000008f ),
    .O(\blk00000001/blk00000088/sig0000017b )
  );
  LUT5 #(
    .INIT ( 32'h04152637 ))
  \blk00000001/blk00000088/blk000000a0  (
    .I0(\blk00000001/sig00000091 ),
    .I1(\blk00000001/sig00000092 ),
    .I2(\blk00000001/blk00000088/sig0000017b ),
    .I3(\blk00000001/blk00000088/sig0000017d ),
    .I4(\blk00000001/blk00000088/sig0000017c ),
    .O(\blk00000001/blk00000088/sig00000166 )
  );
  LUT5 #(
    .INIT ( 32'h14141454 ))
  \blk00000001/blk00000088/blk0000009f  (
    .I0(\blk00000001/sig00000090 ),
    .I1(\blk00000001/sig0000008f ),
    .I2(\blk00000001/sig0000008e ),
    .I3(\blk00000001/sig0000008d ),
    .I4(\blk00000001/sig0000008c ),
    .O(\blk00000001/blk00000088/sig0000017a )
  );
  LUT5 #(
    .INIT ( 32'h8577FB91 ))
  \blk00000001/blk00000088/blk0000009e  (
    .I0(\blk00000001/sig00000090 ),
    .I1(\blk00000001/sig0000008f ),
    .I2(\blk00000001/sig0000008c ),
    .I3(\blk00000001/sig0000008d ),
    .I4(\blk00000001/sig0000008e ),
    .O(\blk00000001/blk00000088/sig00000179 )
  );
  LUT5 #(
    .INIT ( 32'hAAAA2725 ))
  \blk00000001/blk00000088/blk0000009d  (
    .I0(\blk00000001/sig0000008e ),
    .I1(\blk00000001/sig00000090 ),
    .I2(\blk00000001/sig0000008d ),
    .I3(\blk00000001/sig0000008c ),
    .I4(\blk00000001/sig0000008f ),
    .O(\blk00000001/blk00000088/sig00000178 )
  );
  LUT5 #(
    .INIT ( 32'h04152637 ))
  \blk00000001/blk00000088/blk0000009c  (
    .I0(\blk00000001/sig00000091 ),
    .I1(\blk00000001/sig00000092 ),
    .I2(\blk00000001/blk00000088/sig00000178 ),
    .I3(\blk00000001/blk00000088/sig0000017a ),
    .I4(\blk00000001/blk00000088/sig00000179 ),
    .O(\blk00000001/blk00000088/sig00000165 )
  );
  LUT5 #(
    .INIT ( 32'h11155555 ))
  \blk00000001/blk00000088/blk0000009b  (
    .I0(\blk00000001/sig00000090 ),
    .I1(\blk00000001/sig0000008f ),
    .I2(\blk00000001/sig0000008c ),
    .I3(\blk00000001/sig0000008d ),
    .I4(\blk00000001/sig0000008e ),
    .O(\blk00000001/blk00000088/sig00000177 )
  );
  LUT5 #(
    .INIT ( 32'h8115FFBB ))
  \blk00000001/blk00000088/blk0000009a  (
    .I0(\blk00000001/sig0000008e ),
    .I1(\blk00000001/sig00000090 ),
    .I2(\blk00000001/sig0000008c ),
    .I3(\blk00000001/sig0000008d ),
    .I4(\blk00000001/sig0000008f ),
    .O(\blk00000001/blk00000088/sig00000176 )
  );
  LUT5 #(
    .INIT ( 32'h94949484 ))
  \blk00000001/blk00000088/blk00000099  (
    .I0(\blk00000001/sig00000090 ),
    .I1(\blk00000001/sig0000008f ),
    .I2(\blk00000001/sig0000008e ),
    .I3(\blk00000001/sig0000008d ),
    .I4(\blk00000001/sig0000008c ),
    .O(\blk00000001/blk00000088/sig00000175 )
  );
  LUT5 #(
    .INIT ( 32'h51407362 ))
  \blk00000001/blk00000088/blk00000098  (
    .I0(\blk00000001/sig00000092 ),
    .I1(\blk00000001/sig00000091 ),
    .I2(\blk00000001/blk00000088/sig00000176 ),
    .I3(\blk00000001/blk00000088/sig00000177 ),
    .I4(\blk00000001/blk00000088/sig00000175 ),
    .O(\blk00000001/blk00000088/sig00000164 )
  );
  LUT6 #(
    .INIT ( 64'h555544405777FFFF ))
  \blk00000001/blk00000088/blk00000097  (
    .I0(\blk00000001/sig00000091 ),
    .I1(\blk00000001/sig0000008e ),
    .I2(\blk00000001/sig0000008c ),
    .I3(\blk00000001/sig0000008d ),
    .I4(\blk00000001/sig0000008f ),
    .I5(\blk00000001/sig00000092 ),
    .O(\blk00000001/blk00000088/sig00000174 )
  );
  LUT6 #(
    .INIT ( 64'h5777777702222222 ))
  \blk00000001/blk00000088/blk00000096  (
    .I0(\blk00000001/sig00000090 ),
    .I1(\blk00000001/sig00000091 ),
    .I2(\blk00000001/sig0000008e ),
    .I3(\blk00000001/sig0000008f ),
    .I4(\blk00000001/sig00000092 ),
    .I5(\blk00000001/blk00000088/sig00000174 ),
    .O(\blk00000001/blk00000088/sig00000162 )
  );
  LUT2 #(
    .INIT ( 4'h8 ))
  \blk00000001/blk00000088/blk00000095  (
    .I0(\blk00000001/sig0000008d ),
    .I1(\blk00000001/sig0000008c ),
    .O(\blk00000001/blk00000088/sig00000173 )
  );
  LUT6 #(
    .INIT ( 64'h0101011155555555 ))
  \blk00000001/blk00000088/blk00000094  (
    .I0(\blk00000001/sig00000092 ),
    .I1(\blk00000001/sig00000090 ),
    .I2(\blk00000001/sig0000008f ),
    .I3(\blk00000001/blk00000088/sig00000173 ),
    .I4(\blk00000001/sig0000008e ),
    .I5(\blk00000001/sig00000091 ),
    .O(\blk00000001/blk00000088/sig00000161 )
  );
  LUT4 #(
    .INIT ( 16'hAABD ))
  \blk00000001/blk00000088/blk00000093  (
    .I0(\blk00000001/sig00000090 ),
    .I1(\blk00000001/sig0000008c ),
    .I2(\blk00000001/sig0000008d ),
    .I3(\blk00000001/sig0000008e ),
    .O(\blk00000001/blk00000088/sig00000172 )
  );
  LUT4 #(
    .INIT ( 16'hFFA8 ))
  \blk00000001/blk00000088/blk00000092  (
    .I0(\blk00000001/sig0000008e ),
    .I1(\blk00000001/sig0000008d ),
    .I2(\blk00000001/sig0000008c ),
    .I3(\blk00000001/sig00000090 ),
    .O(\blk00000001/blk00000088/sig00000171 )
  );
  LUT6 #(
    .INIT ( 64'h4555015545770177 ))
  \blk00000001/blk00000088/blk00000091  (
    .I0(\blk00000001/sig00000092 ),
    .I1(\blk00000001/sig0000008f ),
    .I2(\blk00000001/sig00000090 ),
    .I3(\blk00000001/sig00000091 ),
    .I4(\blk00000001/blk00000088/sig00000172 ),
    .I5(\blk00000001/blk00000088/sig00000171 ),
    .O(\blk00000001/blk00000088/sig00000163 )
  );
  FDE #(
    .INIT ( 1'b0 ))
  \blk00000001/blk00000088/blk00000090  (
    .C(aclk),
    .CE(\blk00000001/sig0000009d ),
    .D(\blk00000001/blk00000088/sig00000161 ),
    .Q(\blk00000001/sig00000079 )
  );
  FDE #(
    .INIT ( 1'b0 ))
  \blk00000001/blk00000088/blk0000008f  (
    .C(aclk),
    .CE(\blk00000001/sig0000009d ),
    .D(\blk00000001/blk00000088/sig00000162 ),
    .Q(\blk00000001/sig00000078 )
  );
  FDE #(
    .INIT ( 1'b0 ))
  \blk00000001/blk00000088/blk0000008e  (
    .C(aclk),
    .CE(\blk00000001/sig0000009d ),
    .D(\blk00000001/blk00000088/sig00000163 ),
    .Q(\blk00000001/sig00000077 )
  );
  FDE #(
    .INIT ( 1'b0 ))
  \blk00000001/blk00000088/blk0000008d  (
    .C(aclk),
    .CE(\blk00000001/sig0000009d ),
    .D(\blk00000001/blk00000088/sig00000164 ),
    .Q(\blk00000001/sig00000076 )
  );
  FDE #(
    .INIT ( 1'b0 ))
  \blk00000001/blk00000088/blk0000008c  (
    .C(aclk),
    .CE(\blk00000001/sig0000009d ),
    .D(\blk00000001/blk00000088/sig00000165 ),
    .Q(\blk00000001/sig00000075 )
  );
  FDE #(
    .INIT ( 1'b0 ))
  \blk00000001/blk00000088/blk0000008b  (
    .C(aclk),
    .CE(\blk00000001/sig0000009d ),
    .D(\blk00000001/blk00000088/sig00000166 ),
    .Q(\blk00000001/sig00000074 )
  );
  FDE #(
    .INIT ( 1'b0 ))
  \blk00000001/blk00000088/blk0000008a  (
    .C(aclk),
    .CE(\blk00000001/sig0000009d ),
    .D(\blk00000001/blk00000088/sig00000167 ),
    .Q(\blk00000001/sig00000073 )
  );
  FDE #(
    .INIT ( 1'b0 ))
  \blk00000001/blk00000088/blk00000089  (
    .C(aclk),
    .CE(\blk00000001/sig0000009d ),
    .D(\blk00000001/blk00000088/sig00000168 ),
    .Q(\blk00000001/sig00000072 )
  );

// synthesis translate_on

endmodule

// synthesis translate_off

`ifndef GLBL
`define GLBL

`timescale  1 ps / 1 ps

module glbl ();

    parameter ROC_WIDTH = 100000;
    parameter TOC_WIDTH = 0;

//--------   STARTUP Globals --------------
    wire GSR;
    wire GTS;
    wire GWE;
    wire PRLD;
    tri1 p_up_tmp;
    tri (weak1, strong0) PLL_LOCKG = p_up_tmp;

    wire PROGB_GLBL;
    wire CCLKO_GLBL;

    reg GSR_int;
    reg GTS_int;
    reg PRLD_int;

//--------   JTAG Globals --------------
    wire JTAG_TDO_GLBL;
    wire JTAG_TCK_GLBL;
    wire JTAG_TDI_GLBL;
    wire JTAG_TMS_GLBL;
    wire JTAG_TRST_GLBL;

    reg JTAG_CAPTURE_GLBL;
    reg JTAG_RESET_GLBL;
    reg JTAG_SHIFT_GLBL;
    reg JTAG_UPDATE_GLBL;
    reg JTAG_RUNTEST_GLBL;

    reg JTAG_SEL1_GLBL = 0;
    reg JTAG_SEL2_GLBL = 0 ;
    reg JTAG_SEL3_GLBL = 0;
    reg JTAG_SEL4_GLBL = 0;

    reg JTAG_USER_TDO1_GLBL = 1'bz;
    reg JTAG_USER_TDO2_GLBL = 1'bz;
    reg JTAG_USER_TDO3_GLBL = 1'bz;
    reg JTAG_USER_TDO4_GLBL = 1'bz;

    assign (weak1, weak0) GSR = GSR_int;
    assign (weak1, weak0) GTS = GTS_int;
    assign (weak1, weak0) PRLD = PRLD_int;

    initial begin
	GSR_int = 1'b1;
	PRLD_int = 1'b1;
	#(ROC_WIDTH)
	GSR_int = 1'b0;
	PRLD_int = 1'b0;
    end

    initial begin
	GTS_int = 1'b1;
	#(TOC_WIDTH)
	GTS_int = 1'b0;
    end

endmodule

`endif

// synthesis translate_on
